package yu.ac.bg.etf.javaqx.demo.qsvs.qswing;

import yu.ac.bg.etf.javaqx.qswing.AbstractAction;
import yu.ac.bg.etf.javaqx.qswing.ImageIcon;
import yu.ac.bg.etf.javaqx.qswing.JQFileChooser;
import yu.ac.bg.etf.javaqx.qswing.JQFrame;
import yu.ac.bg.etf.javaqx.qswing.JQMenu;
import yu.ac.bg.etf.javaqx.qswing.JQMenuBar;
import yu.ac.bg.etf.javaqx.qswing.JQMenuItem;
import yu.ac.bg.etf.javaqx.qswing.JQTextArea;
import yu.ac.bg.etf.javaqx.qswing.JQToolBar;
import yu.ac.bg.etf.javaqx.qswing.JQToolButton;
import yu.ac.bg.etf.javaqx.qswing.QSwing;
import yu.ac.bg.etf.javaqx.qswing.events.ActionEvent;
import yu.ac.bg.etf.javaqx.qswing.text.PlainDocument;
import yu.ac.bg.etf.javaqx.qswingx.actions.ExitAction;

/**
 * Simple Application.
 */
public class SimpleApplication extends JQFrame {

  private final JQTextArea textArea;

  public SimpleApplication() {
    super("Simple Text Viewer");
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    JQMenuBar menuBar = setMenuBar(new JQMenuBar()); // <-- SD
    JQMenu fileMenu =
                    menuBar.add(new JQMenu("File")); // <-- SD
    OpenAction openAction = new OpenAction();
    fileMenu.add(new JQMenuItem(openAction));
    fileMenu.addSeparator();
    fileMenu.add(new JQMenuItem(new ExitAction())); // <-- SD
    JQToolBar toolBar = addToolBar(new JQToolBar()); // <-- SD
    toolBar.add(new JQToolButton(openAction));
    textArea = new JQTextArea();
    add(textArea); // <-- SD
  }

  void loadFile(String fileName) {
    PlainDocument document = new PlainDocument();
    if (document.readFrom(fileName)) { // <-- SD
      textArea.setDocument(document);
    }
  }

  class OpenAction extends AbstractAction {
    public OpenAction() {
      super("Open",
            new ImageIcon(
              SimpleApplication.class.
                getResource("../resources/OpenedFolder.png")));
      putValue(AbstractAction.SHORT_DESCRIPTION, "Open File");
    }
    public void actionPerformed(ActionEvent e) {
      String fileName =
        JQFileChooser.getOpenFileName(SimpleApplication.this);
      if (fileName != null) {
        loadFile(fileName);
      }
    }
  }

  public static void main(String[] args) {
    SimpleApplication simpleApplication =
                                       new SimpleApplication();
    simpleApplication.setBounds(100, 100, 200, 170);
    simpleApplication.setVisible(true);
    QSwing.startEventLoop(); // <-- SD-
  }

}
