/*
 * @(#)QSwingSetLauncher.java  2007-12-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.demo.qswingset;

import yu.ac.bg.etf.javaqx.qswing.QSwing;
import yu.ac.bg.etf.javaqx.qswing.SplashScreen;

/**
 * QSwingSet Launcher.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class Main {

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

 /**
  * Class has no instances.
  */
  private Main() {
    // empty constructor body
  }

/*^**************************************************************************^*/
/*- Main Method.                                                             -*/
/*^**************************************************************************^*/

  /**
   * Starts QSwingSet application.
   *
   * @param args the application arguments.
   */
  public static void main(String[] args) {
    QSwing.initialize(args);
    QSwing.setCustomProperty("explorerStyleEnabled", //$NON-NLS-1$
                             "true"); //$NON-NLS-1$
    SplashScreen.create(QSwingSet.class.getResource(
                                  "resources/images/Splash.png"), //$NON-NLS-1$
                        "Loaging...", 10); //$NON-NLS-1$
    QSwingSet qss = new QSwingSet();
    SplashScreen.finish(qss, "Finished"); //$NON-NLS-1$
    QSwing.startEventLoop();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-26 12:10:59 Slobodan
   Initial version

*****************************************************************************^*/
