/*
 * @(#)Example7Threads.java  0.2.0 / 2007-09-19
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.examples;

import yu.ac.bg.etf.javaqx.qswing.JQButton;
import yu.ac.bg.etf.javaqx.qswing.JQContainer;
import yu.ac.bg.etf.javaqx.qswing.JQLabel;
import yu.ac.bg.etf.javaqx.qswing.JQTextField;
import yu.ac.bg.etf.javaqx.qswing.QSwing;
import yu.ac.bg.etf.javaqx.qswing.events.ActionEvent;
import yu.ac.bg.etf.javaqx.qswing.events.ActionListener;
import yu.ac.bg.etf.javaqx.qswing.layouts.formlayout.CellConstraints;
import yu.ac.bg.etf.javaqx.qswing.layouts.formlayout.FormLayout;

/**
 * Style Sheet Example.
 */
public class Example7StyleSheet extends JQContainer {

  public Example7StyleSheet() {
    super(new FormLayout("6dlu, l:p, 4dlu, p:g, max(46dlu;p), 6dlu",
                         "6dlu, p, 3dlu, p, 3dlu, p, 4dlu, p, 6dlu"));
    setName("StyleSheet");
    CellConstraints cc = new CellConstraints();
    add(new JQLabel("Name:"), cc.xy(2, 2));
    add(new JQTextField(), cc.xyw(4, 2, 2));
    add(new JQLabel("Phone:"), cc.xy(2, 4));
    add(new JQTextField(), cc.xyw(4, 4, 2));
    add(new JQLabel("EMail:"), cc.xy(2, 6));
    add(new JQTextField(), cc.xyw(4, 6, 2));
    JQButton closeButton = new JQButton("Close");
    closeButton.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        QSwing.stopEventLoop();
      }
    });
    add(closeButton, cc.xy(5, 8));
  }

  public static void main(String[] args) {
    QSwing.setStyleSheetSafely("stylesheet/stylesheet.css");
    Example7StyleSheet styleSheetExample = new Example7StyleSheet();
    styleSheetExample.setVisible(true);
    QSwing.startEventLoop(true);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-19 15:04:46 Slobodan
   Initial version

*****************************************************************************^*/
