/*
 * @(#)Example8Model.java  0.2.0 / 2007-11-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.examples;

import yu.ac.bg.etf.javaqx.qswing.BoundedRangeModel;
import yu.ac.bg.etf.javaqx.qswing.DefaultBoundedRangeModel;
import yu.ac.bg.etf.javaqx.qswing.JQContainer;
import yu.ac.bg.etf.javaqx.qswing.JQProgressBar;
import yu.ac.bg.etf.javaqx.qswing.JQScrollBar;
import yu.ac.bg.etf.javaqx.qswing.JQSlider;
import yu.ac.bg.etf.javaqx.qswing.QSwing;

/**
 * Model Example.
 */
public class Example8Model extends JQContainer {

  public Example8Model() {
    super(null);
    setName("Bounded Range Model");
    setFixedSize(296, 100);
    BoundedRangeModel model = new DefaultBoundedRangeModel(50, 0, 0, 100);
    JQSlider slider = new JQSlider(model);
    slider.setBounds(10, 10, 274, 20);
    add(slider);
    JQProgressBar progressBar = new JQProgressBar(model);
    progressBar.setBounds(10, 40, 274, 20);
    add(progressBar);
    JQScrollBar scrollBar = new JQScrollBar(model);
    scrollBar.setOrientation(JQScrollBar.HORIZONTAL);
    scrollBar.setBounds(10, 71, 274, 18);
    add(scrollBar);
  }

  public static void main(String[] args) {
    Example8Model modelExample = new Example8Model();
    modelExample.setVisible(true);
    QSwing.startEventLoop(true);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-11-05 10:31:09 Slobodan
   Initial version

*****************************************************************************^*/
