/*
 * @(#)Disposable.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.core;

/**
 * Disposable Interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface Disposable {

  /**
   * Returns <tt>true</tt> if the object is disposed.
   *
   * @return <tt>true</tt> if the object is disposed
   */
  public boolean isDisposed();

  /**
   * Disposes the object.
   */
  public void dispose();

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:19:58 Slobodan
   Initial version

*****************************************************************************^*/
