/*
 * @(#)FailExpectTestResult.java  0.2.0 / 2007-02-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */

package yu.ac.bg.etf.javaqx.nunit;

import junit.framework.Test;
import junit.framework.TestResult;

/**
 * TestResult that expects a failure or an error.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class FailExpectTestResult extends TestResult {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final TestResult testResult;

/*^**************************************************************************^*/
/*- PublicConstructors.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new FailExpectedTestResult object.
   *
   * @param testResult the test result
   */
  public FailExpectTestResult(TestResult testResult) {
    this.testResult = testResult;
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void startTest(Test test) {
    testResult.startTest(test);
  }

  /**
   * {@inheritDoc}
   */
  public void endTest(Test test) {
    if (wasSuccessful()) {
      testResult.addFailure(test, new TestNotFailed());
    }
    testResult.endTest(test);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-02-03 15:57:23 Slobodan
   Initial version

*****************************************************************************^*/
