/*
 * @(#)GLConstants.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.opengl;

/**
 * OpenGL Constants.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface GLConstants {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /**
   * <tt>GL_SMOOTH</tt> constant (the value is {@value}).
   */
  public static final int GL_SMOOTH = 0x1D01;

  /**
   * <tt>GL_DEPTH_TEST</tt> constant (the value is {@value}).
   */
  public static final int GL_DEPTH_TEST = 0x0B71;

  /**
   * <tt>GL_LEQUAL</tt> constant (the value is {@value}).
   */
  public static final int GL_LEQUAL = 0x0203;

  /**
   * <tt>GL_PERSPECTIVE_CORRECTION_HINT</tt> constant (the value is {@value}).
   */
  public static final int GL_PERSPECTIVE_CORRECTION_HINT = 0x0C50;

  /**
   * <tt>GL_NICEST</tt> constant (the value is {@value}).
   */
  public static final int GL_NICEST = 0x1102;

  /**
   * <tt>GL_COLOR_BUFFER_BIT</tt> constant (the value is {@value}).
   */
  public static final int GL_COLOR_BUFFER_BIT = 0x00004000;

  /**
   * <tt>GL_DEPTH_BUFFER_BIT</tt> constant (the value is {@value}).
   */
  public static final int GL_DEPTH_BUFFER_BIT = 0x00000100;

  /**
   * <tt>GL_TRIANGLES</tt> constant (the value is {@value}).
   */
  public static final int GL_TRIANGLES = 0x0004;

  /**
   * <tt>GL_QUADS</tt> constant (the value is {@value}).
   */
  public static final int GL_QUADS = 0x0007;

  /**
   * <tt>GL_PROJECTION</tt> constant (the value is {@value}).
   */
  public static final int GL_PROJECTION = 0x1701;

  /**
   * <tt>GL_MODELVIEW</tt> constant (the value is {@value}).
   */
  public static final int GL_MODELVIEW = 0x1700;

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:00:30 Slobodan
   Initial version

*****************************************************************************^*/
