/*
 * @(#)QOpenGL.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.opengl;

import yu.ac.bg.etf.javaqx.JavaQx;

/**
 * OpenGL Support.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class QOpenGL {

/*^**************************************************************************^*/
/*- Public Static Field.                                                     -*/
/*^**************************************************************************^*/

  /**
   * <tt>True</tt> if the OpenGL is supported on the platform.
   */
  public static final boolean SUPPORTED;

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    JavaQx.initialize();
    SUPPORTED = _initialize();
  }

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

 /**
  * Class has no instances.
  */
  private QOpenGL() {
    // empty constructor body
  }

/*^**************************************************************************^*/
/*- Pacakge-Private Static Native Methods.                                   -*/
/*^**************************************************************************^*/

  static native void _glVertex3f(float x, float y, float z);

  static native void _glColor3f(float r, float g, float b);

  static native void _glClearColor(float r, float g, float b, float a);

  static native void _glShadeModel(int mode);

  static native void _glClearDepth(float depth);

  static native void _glHint(int target, int mode);

  static native void _glEnable(int cap);

  static native void _glDepthFunc(int func);

  static native void _glClear(int mask);

  static native void _glLoadIdentity();

  static native void _glTranslatef(float x, float y, float z);

  static native void _glRotatef(float angle, float x, float y, float z);

  static native void _glBegin(int mode);

  static native void _glEnd();

  static native void _glViewport(int x, int y, int width, int height);

  static native void _glMatrixMode(int mode);

  static native void _gluPerspective(double fovy, double aspect, double zNear,
                                     double zFar);

/*^**************************************************************************^*/
/*- Private Static Native Method.                                            -*/
/*^**************************************************************************^*/

  private static native boolean _initialize();

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:02:54 Slobodan
   Initial version

*****************************************************************************^*/
