/*
 * @(#)AbstractIcon.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * Abstract Icon Interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class AbstractIcon implements Icon {

/*^**************************************************************************^*/
/*- Protected Fields.                                                        -*/
/*^**************************************************************************^*/

  protected int width;
  protected int height;

/*^**************************************************************************^*/
/*- Protected Constructor.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Constructs new AbstractIcon object.
   *
   * @param width the icon's width
   * @param height the icon's height
   */
  protected AbstractIcon(int width, int height) {
    this.width = width;
    this.height = height;
  }

/*^**************************************************************************^*/
/*- Icon Interface Implementation.                                           -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public int getIconWidth() {
    return width;
  }

  /**
   * {@inheritDoc}
   */
  public int getIconHeight() {
    return height;
  }

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:43:30 Slobodan
   Initial version

*****************************************************************************^*/
