/*
 * @(#)ContentPane.java  0.2.0 / 2007-12-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import yu.ac.bg.etf.javaqx.qswing.graphics.Dimension;
import yu.ac.bg.etf.javaqx.qswing.layouts.BorderLayout;

/**
 * Content Pane.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
final class ContentPane extends JQContainer {

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    _initialize();
  }

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private Dimension layoutPreferredSize;

/*^**************************************************************************^*/
/*- Pacakge-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  ContentPane() {
    super(new BorderLayout());
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  void clearCache() {
    layoutPreferredSize = null;
    super.clearCache();
  }

/*^**************************************************************************^*/
/*- Native Callback.                                                         -*/
/*^**************************************************************************^*/

  Dimension _getLayoutPreferredSize() {
    if (!valid || (layoutPreferredSize == null)) {
      if (layoutManager == null) {
        layoutPreferredSize = Dimension.ZERO_DIMESNION;
      } else {
        layoutPreferredSize = layoutManager.preferredLayoutSize(this);
      }
    }
    return layoutPreferredSize;
  }

/*^**************************************************************************^*/
/*- Package-Private Native Method.                                           -*/
/*^**************************************************************************^*/

  native long _create();

/*^**************************************************************************^*/
/*- Private Static Native Method.                                            -*/
/*^**************************************************************************^*/

  private static native void _initialize();

}

/*^*****************************************************************************
  File History:

 - 2007-12-28 22:32:50 Slobodan
   Initial version

*****************************************************************************^*/
