/*
 * @(#)Icon.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import yu.ac.bg.etf.javaqx.qswing.graphics.Graphics;

/**
 * Icon Interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface Icon {

  /**
   * Draws the icon at the specified location.
   *
   * @param component the component
   * @param g the graphics
   * @param x the icon's x coordinate
   * @param y the icon's y coordinate
   */
  public void paintIcon(JQComponent component, Graphics g, int x, int y);

  /**
   * Returns the icon's width.
   *
   * @return the icon's width
   */
  public int getIconWidth();

  /**
   * Returns the icon's height.
   *
   * @return the icon's height
   */
  public int getIconHeight();

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:46:03 Slobodan
   Initial version

*****************************************************************************^*/
