/*
 * @(#)JQFontChooser.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import yu.ac.bg.etf.javaqx.qswing.graphics.Font;

/**
 * Font Chooser Component.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class JQFontChooser extends JQDialog {

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

 /**
  * Class has no instances.
  */
  private JQFontChooser() {
    // empty constructor body
  }

/*^**************************************************************************^*/
/*- Public Static Mehtods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns font selected by the user.
   *
   * @param parent the parent component
   *
   * @return font selected by the user
   */
  public static Font getFont(JQComponent parent) {
    return getFont(parent, null, null);
  }

  /**
   * Returns font selected by the user.
   *
   * @param parent the parent component
   * @param initialFont the initial font
   *
   * @return font selected by the user
   */
  public static Font getFont(JQComponent parent, Font initialFont) {
    return getFont(parent, initialFont, null);
  }

  /**
   * Returns font selected by the user.
   *
   * @param parent the parent component
   * @param initialFont the initial font
   * @param title the dialog title
   *
   * @return font selected by the user
   */
  public static Font getFont(JQComponent parent, Font initialFont,
                             String title) {
    if (parent != null) {
      return _getFont(parent._bridge, initialFont, title);
    }
    return _getFont(0, initialFont, title);
  }

/*^**************************************************************************^*/
/*- Package-Private Static Native Method.                                    -*/
/*^**************************************************************************^*/

  static native Font _getFont(long parentBridge, Font initialFont,
                              String title);

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:52:13 Slobodan
   Initial version

*****************************************************************************^*/
