/*
 * @(#)JQList.java  0.1.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import java.util.Vector;

import yu.ac.bg.etf.javaqx.qswing.list.ArrayListModel;
import yu.ac.bg.etf.javaqx.qswing.list.EmptyListModel;
import yu.ac.bg.etf.javaqx.qswing.list.ListModel;
import yu.ac.bg.etf.javaqx.qswing.list.VectorListModel;
import yu.ac.bg.etf.javaqx.qswing.properties.JQListProperties;

/**
 * List Component.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0
 */
public class JQList extends JQComponent implements JQListProperties {

  /** @todo Finish the class */

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    _initialize();
  }

/*^**************************************************************************^*/
/*- Pacakge-Private Fields.                                                  -*/
/*^**************************************************************************^*/

  ListModel model;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQList object.
   */
  public JQList() {
    this(new EmptyListModel());
  }

  /**
   * Constructs new JQList object.
   *
   * @param listData the list data
   */
  public JQList(Object[] listData) {
    this(new ArrayListModel(listData));
  }

  /**
   * Constructs new JQList object.
   *
   * @param listData the list data
   */
  public JQList(Vector listData) { // NOPMD
    this(new VectorListModel(listData));
  }

  /**
   * Constructs new JQList object.
   *
   * @param model the list model
   */
  public JQList(ListModel model) { // NOPMD - temp
    super(false); /** @todo  remove */
    throw new RuntimeException("Not implemented"); /** @todo Implement, NOPMD */
    /*if (model == null) {
      throw new IllegalArgumentException("Null model");
    }
    this.model = model;*/
  }

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Sets list model.
   *
   * @param model the model
   */
  public void setModel(ListModel model) {
    if (model == null) {
      throw new IllegalArgumentException("Null model"); //$NON-NLS-1$
    }
    ListModel oldModel = this.model;
    if (!oldModel.equals(model)) {
      _setModel(_bridge, model);
      this.model = model;
      firePropertyChange(PROPERTY_MODEL, oldModel, model);
    }
  }

/*^**************************************************************************^*/
/*- Package-Private Native Methods.                                          -*/
/*^**************************************************************************^*/

  native long _create();

  native void _setModel(long bridge, ListModel model);

/*^**************************************************************************^*/
/*- Private Static Native Method.                                            -*/
/*^**************************************************************************^*/

  private static native void _initialize();

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:51:05 Slobodan
   Initial version

*****************************************************************************^*/
