/*
 * @(#)JQMenuBar.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import yu.ac.bg.etf.javaqx.qswing.layouts.LayoutManager;

/**
 * Menu Bar Component.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JQMenuBar extends JQContainer {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQStatusBar object.
   */
  public JQMenuBar() {
    super(null);
  }

/*^**************************************************************************^*/
/*- Public Method.                                                           -*/
/*^**************************************************************************^*/

  /**
   * Adds new menu.
   *
   * @param menu the menu to be added
   *
   * @return the menu argument
   */
  public JQMenu add(JQMenu menu) {
    super.add(menu);
    return menu;
  }

  /**
   * Adds new menu.
   *
   * @param menu the menu to be added
   * @param index the menu index
   *
   * @return the menu argument
   */
  public JQMenu add(JQMenu menu, int index) {
    super.add(menu, index);
    return menu;
  }


  /**
   * Adds separator.
   *
   * @return separator
   */
  public JQSeparator addSeparator() {
    JQSeparator separator = new JQSeparator();
    add(separator);
    return separator;
  }

  /**
   * Adds separator.
   *
   * @param index the separator index
   *
   * @return separator
   */
  public JQSeparator addSeparator(int index) {
    JQSeparator separator = new JQSeparator();
    add(separator, index);
    return separator;
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void setLayout(LayoutManager layoutManager) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void validate() {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void invalidate() {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void revalidate() {
    // empty method
  }

/*^**************************************************************************^*/
/*- Package-Private Native Method.                                           -*/
/*^**************************************************************************^*/

  native long _create();

  native void _insertChild(long bridge, long childBridge, int index);

  native void _removeChild(long bridge, long childBridge);

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:50:39 Slobodan
   Initial version

*****************************************************************************^*/

