/*
 * @(#)JQRadioButton.java  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import yu.ac.bg.etf.javaqx.qswing.events.FocusEvent;
import yu.ac.bg.etf.javaqx.qswing.events.QSwingEvent;

/**
 * Radio Button Component.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JQRadioButton extends JQToggleButton {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQRadioButton object.
   */
  public JQRadioButton() {
    super();
  }

  /**
   * Constructs new JQRadioButton object.
   *
   * @param action the action
   */
  public JQRadioButton(Action action) {
    super(action);
  }

  /**
   * Constructs new JQRadioButton object.
   *
   * @param text the button text
   */
  public JQRadioButton(String text) {
    super(text);
  }

  /**
   * Constructs new JQRadioButton object.
   *
   * @param icon the icon
   */
  public JQRadioButton(Icon icon) {
    super(icon);
  }

  /**
   * Constructs new JQRadioButton object.
   *
   * @param text the button text
   * @param icon the icon
   */
  public JQRadioButton(String text, Icon icon) {
    super(text, icon);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  void _focusGained() {
    focused = true;
    if (selectableGroup != null) {
      setSelected(true);
    }
    if (eventEnabled(QSwingEvent.FOCUS_EVENT_MASK)) {
      processFocusEvent(new FocusEvent(this, FocusEvent.FOCUS_GAINED));
    }
  }

/*^**************************************************************************^*/
/*- Package-Private Native Methods.                                          -*/
/*^**************************************************************************^*/

  native long _create();

}

/*^*****************************************************************************
  File History:

 - 2007-11-21 17:37:26 Slobodan
   Initial version

*****************************************************************************^*/
