/*
 * @(#)JQTable.java  0.1.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import yu.ac.bg.etf.javaqx.qswing.table.DefaultTableModel;
import yu.ac.bg.etf.javaqx.qswing.table.TableModel;

/**
 * Table Component.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0
 */
public class JQTable extends JQComponent {

  /** @todo Finish the class */

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    _initialize();
  }

/*^**************************************************************************^*/
/*- Protected Fields.                                                        -*/
/*^**************************************************************************^*/

  protected TableModel dataModel;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQTable object.
   */
  public JQTable() {
    this(new DefaultTableModel());
  }

  /**
   * Constructs new JQTable object.
   *
   * @param data the data
   * @param columnNames the column names
   */
  public JQTable(Object[][] data, Object[] columnNames) {
    this(new DefaultTableModel(data, columnNames));
  }

  /**
   * Constructs new JQTable object.
   *
   * @param model the table model
   */
  public JQTable(TableModel model) { // NOPMD - temp
    super(false); /** @todo  remove */
    throw new RuntimeException("Not implemented"); /** @todo Implement, NOPMD */
    /*if (model == null) {
      @todo model = createDefaultDataModel()
      throw new IllegalArgumentException("Null model");
    }
    dataModel = model;*/
  }

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Sets table model.
   *
   * @param model the table model
   */
  public void setModel(TableModel model) {
    if (model == null) {
      /** @todo model = createDefaultDataModel()  */
      throw new IllegalArgumentException("Null model"); //$NON-NLS-1$
    }
    dataModel = model;
  }

/*^**************************************************************************^*/
/*- Package-Private Native Methods.                                          -*/
/*^**************************************************************************^*/

  native long _create();

  native void _setModel(long bridge, TableModel model);

/*^**************************************************************************^*/
/*- Private Static Native Method.                                            -*/
/*^**************************************************************************^*/

  private static native void _initialize();

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:53:10 Slobodan
   Initial version

*****************************************************************************^*/
