/*
 * @(#)JQWindowConstants.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * JQWindow Constants.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQWindowConstants {

  /**
   * Custom centered position.
   */
  public static final int POSITION_CUSTOM = 4;

  /**
   * The <em>do nothing</em> default window close operation.
   */
  public static final int DO_NOTHING_ON_CLOSE = 0;

  /**
   * The <em>hide window</em> default window close operation.
   */
  public static final int HIDE_ON_CLOSE = 1;

  /**
   * The <em>dispose window</em> default window close operation.
   */
  public static final int DISPOSE_ON_CLOSE = 2;

  /**
   * The <em>exit application</em> default window close operation.
   */
  public static final int EXIT_ON_CLOSE = 3;

  /**
   * The <em>quit event loop</em> default window close operation.
   */
  public static final int QUIT_ON_CLOSE = 4;

  /**
   * State normal.
   */
  public static final int NORMAL = 0;

  /**
   * State iconified.
   */
  public static final int ICONIFIED = 1;

  /**
   * State maximized.
   */
  public static final int MAXIMIZED = 8;

  /**
   * State full screen.
   */
  public static final int FULL_SCREEN = 16;

  /**
   * Non modal window.
   */
  public static final int NON_MODAL = 0;

  /**
   * Window modal window.
   */
  public static final int WINDOW_MODAL = 1;

  /**
   * Application modal window.
   */
  public static final int APPLICATION_MODAL = 2;

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:59:06 Slobodan
   Initial version

*****************************************************************************^*/
