/*
 * @(#)KeyStroke.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * Key Stroke.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class KeyStroke {

/*^**************************************************************************^*/
/*- Package-Private Field.                                                   -*/
/*^**************************************************************************^*/

  String shortcut;

/*^**************************************************************************^*/
/*- Package-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  KeyStroke(String shortcut) {
    this.shortcut = shortcut;
  }

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns key stroke for the specified string.
   *
   * @param s the string
   *
   * @return key stroke for the specified string
   */
  public static KeyStroke getKeyStroke(String s) {
    return new KeyStroke(s);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:00:15 Slobodan
   Initial version

*****************************************************************************^*/
