/*
 * @(#)MutableComboBoxModel.java  0.1.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * Mutable ComboBox Model.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0
 */
public interface MutableComboBoxModel extends ComboBoxModel {

  /**
   * Adds specified object to the model.
   *
   * @param object the object to be added
   */
  public void addElement(Object object);

  /**
   * Removes specified object from the model.
   *
   * @param object the object to be removed
   */
  public void removeElement(Object object);

  /**
   * Inserts specified object at the specified index.
   *
   * @param object the object to insert
   * @param index the object index
   */
  public void insertElementAt(Object object, int index);

  /**
   * Removes object specified by index.
   *
   * @param index the object index
   */
  public void removeElementAt(int index);

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:02:03 Slobodan
   Initial version

*****************************************************************************^*/
