/*
 * @(#)Selectable.java  0.2.0 / 2007-10-16
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * Selectable Interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface Selectable {

  /**
   * Returns <tt>true</tt> if object is selected; otherwise <tt>false</tt>.
   *
   * @return <tt>true</tt> if object is selected; otherwise <tt>false</tt>
   */
  public boolean isSelected();

  /**
   * Sets selected state of the object.
   *
   * @param selected <tt>true</tt> if object is selected
   */
  public void setSelected(boolean selected);

  /**
   * Returns selectable group.
   *
   * @return selectable group
   */
  public SelectableGroup getSelectableGroup();

  /**
   * Sets selectable group.
   *
   * @param selectableGroup the selectable group
   */
  public void setSelectableGroup(SelectableGroup selectableGroup);

}

/*^*****************************************************************************
  File History:

 - 2007-10-16 11:46:55 Slobodan
   Initial version

*****************************************************************************^*/
