/*
 * @(#)ComponentListener.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Component Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ComponentListener extends EventListener {

  /**
   * Notifies listener that the component has moved.
   *
   * @param e the component event
   */
  public void componentMoved(ComponentEvent e);

  /**
   * Notifies listener that the component has resized.
   *
   * @param e the component event
   */
  public void componentResized(ComponentEvent e);

  /**
   * Notifies listener that the component has shown.
   *
   * @param e the component event
   */
  public void componentShown(ComponentEvent e);

  /**
   * Notifies listener that the component has hidden.
   *
   * @param e the component event
   */
  public void componentHidden(ComponentEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 13:42:37 Slobodan
   Initial version

*****************************************************************************^*/
