/*
 * @(#)ContainerListener.java  0.2.0 / 2007-09-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

/**
 * Container Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ContainerListener {

  /**
   * Notifies listener that the component has been added to the container.
   *
   * @param e the container event
   */
  public void componentAdded(ContainerEvent e);

  /**
   * Notifies listener that the component has been removed from the container.
   *
   * @param e the container event
   */
  public void componentRemoved(ContainerEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-27 20:52:40 Slobodan
   Initial version

*****************************************************************************^*/
