/*
 * @(#)EditListener.java  0.2.0 / 2007-12-14
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Edit Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface EditListener extends EventListener {

  /**
   * Notifies listener that an <tt>cut</tt> operation is available.
   *
   * @param available <tt>true</tt> if available
   */
  public void cutAvailable(boolean available);

  /**
   * Notifies listener that an <tt>copy</tt> operation is available.
   *
   * @param available <tt>true</tt> if available
   */
  public void copyAvailable(boolean available);

  /**
   * Notifies listener that an <tt>paste</tt> operation is available.
   *
   * @param available <tt>true</tt> if available
   */
  public void pasteAvailable(boolean available);

  /**
   * Notifies listener that an <tt>clear</tt> operation is available.
   *
   * @param available <tt>true</tt> if available
   */
  public void clearAvailable(boolean available);

  /**
   * Notifies listener that an <tt>select all</tt> operation is available.
   *
   * @param available <tt>true</tt> if available
   */
  public void selectAllAvailable(boolean available);

}

/*^*****************************************************************************
  File History:

 - 2007-12-14 08:59:18 Slobodan
   Initial version

*****************************************************************************^*/
