/*
 * @(#)FocusListener.java  0.2.0 / 2007-09-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Focus Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface FocusListener extends EventListener {

  /**
   * Notifies listener that the component has gained focus.
   *
   * @param e the focus event
   */
  public void focusGained(FocusEvent e);

  /**
   * Notifies listener that the component has lost focus.
   *
   * @param e the focus event
   */
  public void focusLost(FocusEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-27 20:16:13 Slobodan
   Initial version

*****************************************************************************^*/
