/*
 * @(#)KeyListener.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Key Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface KeyListener extends EventListener {

  /**
   * Notifies listener that a key has pressed.
   *
   * @param e the key event
   */
  public void keyPressed(KeyEvent e);

  /**
   * Notifies listener that a key has released.
   *
   * @param e the key event
   */
  public void keyReleased(KeyEvent e);

  /**
   * Notifies listener that a key has typed.
   *
   * @param e the key event
   */
  public void keyTyped(KeyEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 14:09:53 Slobodan
   Initial version

*****************************************************************************^*/
