/*
 * @(#)ListDataListener.java  0.2.0 / 2007-09-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * ListData Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ListDataListener extends EventListener {

  /**
   * Notifies listener that interval (index0, index1) has been added.
   *
   * @param e the list data event.
   */
  public void intervalAdded(ListDataEvent e);


  /**
   * Notifies listener that interval (index0, index1) has been removed.
   *
   * @param e the list data event.
   */
  public void intervalRemoved(ListDataEvent e);


  /**
   * Notifies listener that interval (index0, index1) has been changed.
   *
   * @param e the list data event.
   */
  public void contentsChanged(ListDataEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-27 18:02:39 Slobodan
   Initial version

*****************************************************************************^*/
