/*
 * @(#)MouseListener.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Mouse Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface MouseListener extends EventListener {

  /**
   * Notifies listener that a mouse button has been pressed.
   *
   * @param e the mouse event
   */
  public void mousePressed(MouseEvent e);

  /**
   * Notifies listener that a mouse button has been released.
   *
   * @param e the mouse event
   */
  public void mouseReleased(MouseEvent e);

  /**
   * Notifies listener that a mouse button has been clicked (pressed and
   * released).
   *
   * @param e the mouse event
   */
  public void mouseClicked(MouseEvent e);

  /**
   * Notifies listener that the mouse enters a component.
   *
   * @param e the mouse event
   */
  public void mouseEntered(MouseEvent e);

  /**
   * Notifies listener that the mouse exits a component.
   *
   * @param e the mouse event
   */
  public void mouseExited(MouseEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 15:07:29 Slobodan
   Initial version

*****************************************************************************^*/
