/*
 * @(#)MouseMotionListener.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Mouse Motion Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface MouseMotionListener extends EventListener {

  /**
   * Notifies listener that the mouse has been moved.
   *
   * @param e the mouse event
   */
  public void mouseMoved(MouseEvent e);

  /**
   * Notifies listener that the mouse has been dragged.
   *
   * @param e the mouse event
   */
  public void mouseDragged(MouseEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 15:09:22 Slobodan
   Initial version

*****************************************************************************^*/
