/*
 * @(#)TreeModelListener.java  0.2.0 / 2007-09-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Tree Model Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface TreeModelListener extends EventListener {

  /**
   * Notifies listener that tree nodes have been inserted.
   *
   * @param event the tree model event
   */
  public void treeNodesInserted(TreeModelEvent event);

  /**
   * Notifies listener that tree nodes have been removed.
   *
   * @param event the tree model event
   */
  public void treeNodesRemoved(TreeModelEvent event);

  /**
   * Notifies listener that tree nodes have changed.
   *
   * @param event the tree model event
   */
  public void treeNodesChanged(TreeModelEvent event);

  /**
   * Notifies listener that tree nodes have changed.
   *
   * @param event the tree model event
   */
  public void treeStructureChanged(TreeModelEvent event);

}

/*^*****************************************************************************
  File History:

 - 2007-09-27 18:01:30 Slobodan
   Initial version

*****************************************************************************^*/
