/*
 * @(#)UndoRedoListener.java  0.2.0 / 2007-12-12
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Undo/redo listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface UndoRedoListener extends EventListener {

  /**
   * Notifies listener that an <tt>undo</tt> operation is available.
   *
   * @param available <tt>true</tt> if available
   */
  public void undoAvailable(boolean available);

  /**
   * Notifies listener that an <tt>redo</tt> operation is available.
   *
   * @param available <tt>true</tt> if available
   */
  public void redoAvailable(boolean available);

}

/*^*****************************************************************************
  File History:

 - 2007-12-12 20:19:17 Slobodan
   Initial version

*****************************************************************************^*/
