/*
 * @(#)RectangularShape.java  0.2.0 / 2007-10-01
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.graphics;

/**
 * Abstract Rectangular Shape.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class RectangularShape implements Shape {

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Returns the x coordinate of the framing rectangle.
   *
   * @return the x coordinate of the framing rectangle
   */
  public abstract int getX();

  /**
   * Returns the y coordinate of the framing rectangle.
   *
   * @return the y coordinate of the framing rectangle
   */
  public abstract int getY();

  /**
   * Returns the width of the framing rectangle.
   *
   * @return the width of the framing rectangle
   */
  public abstract int getWidth();

  /**
   * Returns the height of the framing rectangle.
   *
   * @return the height of the framing rectangle
   */
  public abstract int getHeight();

/*^**************************************************************************^*/
/*- Shape Interface Implementaion.                                           -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public Rectangle getBounds() {
    return new Rectangle(getX(), getY(), getWidth(), getHeight());
  }

}

/*^*****************************************************************************
  File History:

 - 2007-10-01 18:40:17 Slobodan
   Initial version

*****************************************************************************^*/
