/*
 * @(#)Shape.java  0.2.0 / 2007-10-01
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.graphics;

/**
 * Shape Interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface Shape {

  /**
   * Returns a rectangle that completely encloses the shape.
   *
   * @return a rectangle that completely encloses the shape
   */
  public Rectangle getBounds();

  /**
   * Returns path iterator that traverses the geometry of the Shape.
   *
   * @return path iterator that traverses the geometry of the Shape
   */
  public PathIterator getPathIterator();

  /**
   * Returns <tt>true</tt> if the specified coordinates lie in the shape.
   *
   * @param x the x coordinate
   * @param y the y coordinate
   *
   * @return <tt>true</tt> if the specified coordinates lie in the shape
   */
  public boolean contains(int x, int y);

}

/*^*****************************************************************************
  File History:

 - 2007-10-01 18:38:22 Slobodan
   Initial version

*****************************************************************************^*/
