/*
 * @(#)TexturePaint.java  0.2.0 / 2007-10-01
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.graphics;

/**
 * Texture Paint.
 * <p>
 *   <tt>NOTE: This class is not compatible with <em>java.awt.TexturePaint</em>
 *             class!</tt>
 * </p>
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class TexturePaint extends Paint {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final Image image;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new TexturePaint object.
   *
   * @param image the texture image
   *
   * @throws IllegalArgumentException if the <tt>image</tt> is <tt>null</tt>
   */
  public TexturePaint(Image image) {
    if (image == null) {
      throw new IllegalArgumentException("Null image"); //$NON-NLS-1$
    }
    this.image = image;
  }

/*^**************************************************************************^*/
/*- Public Method.                                                           -*/
/*^**************************************************************************^*/

  /**
   * Returns the image.
   *
   * @return the image
   */
  public Image getImage() {
    return image;
  }

}

/*^*****************************************************************************
  File History:

 - 2007-10-01 18:37:32 Slobodan
   Initial version

*****************************************************************************^*/
