/*
 * @(#)ArrayListModel.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.list;

import yu.ac.bg.etf.javaqx.util.CommonConstants;

/**
 * Array List Model.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class ArrayListModel extends AbstractListModel {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final Object[] array;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new ArrayListModel object.
   *
   * @param array the array model
   */
  public ArrayListModel(Object[] array) {
    if (array == null) {
      this.array = CommonConstants.EMPTY_OBJECT_ARRAY;
    } else {
      this.array = (Object[])array.clone();
    }
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public Object getElementAt(int index) {
    return array[index];
  }

  /**
   * {@inheritDoc}
   */
  public int getSize() {
    return array.length;
  }

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:05:19 Slobodan
   Initial version

*****************************************************************************^*/
