/*
 * @(#)DefaultListModel.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.list;

import java.util.ArrayList;

/**
 * Default List Model.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class DefaultListModel extends AbstractListModel {

  /** @todo Finish the class */

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final ArrayList data;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new DefaultListModel object.
   */
  public DefaultListModel() {
    data = new ArrayList();
  }

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Adds the specified element to the list.
   *
   * @param element the element
   */
  public void add(Object element) {
    int index = data.size();
    data.add(element);
    fireIntervalAdded(this, index, index);
  }

  /**
   * Inserts the specified element into the list.
   *
   * @param index the element position
   * @param element the element
   */
  public void add(int index, Object element) {
    data.add(index, element);
    fireIntervalAdded(this, index, index);
  }

  /**
   * Removes all elements.
   */
  public void clear() {
    int lastIndex = data.size() - 1;
    data.clear();
    if (lastIndex >= 0) {
      fireIntervalRemoved(this, 0, lastIndex);
    }
  }

  /**
   * Returns <tt>true</tt> if the model contains the specified element.
   *
   * @param elem the element to search for.
   *
   * @return <tt>true</tt> if the model contains the specified element
   */
  public boolean contains(Object elem) {
    return data.contains(elem);
  }

/*^**************************************************************************^*/
/*- ListModel Interface Implementation.                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public int getSize() {
    return data.size();
  }

  /**
   * {@inheritDoc}
   */
  public Object getElementAt(int index) {
    return data.get(index);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:45:44 Slobodan
   Initial version

*****************************************************************************^*/
