/*
 * @(#)ListModel.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.list;

import yu.ac.bg.etf.javaqx.qswing.events.ListDataListener;

/**
 * List Model.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ListModel {

  /**
   * Returns the size of the list.
   *
   * @return the size of the list
   */
  public int getSize();

  /**
   * Returns the element at the specified index.
   *
   * @param index the element index
   *
   * @return the element at the specified index
   */
  public Object getElementAt(int index);

  /**
   * Adds list data listener.
   *
   * @param l the list data listener
   */
  public void addListDataListener(ListDataListener l);

  /**
   * Removes list data listener.
   *
   * @param l the list data listener
   */
  public void removeListDataListener(ListDataListener l);

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:01:13 Slobodan
   Initial version

*****************************************************************************^*/
