/*
 * @(#)VectorListModel.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.list;

import java.util.Vector;

/**
 * Vector List Model.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class VectorListModel extends AbstractListModel {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final Vector vector; // NOPMD

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new VectorListModel object.
   *
   * @param vector the vector model
   */
  public VectorListModel(Vector vector) { // NOPMD
    if (vector == null) {
      this.vector = new Vector(); // NOPMD
    } else {
      this.vector = vector;
    }
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public Object getElementAt(int index) {
    return vector.elementAt(index);
  }

  /**
   * {@inheritDoc}
   */
  public int getSize() {
    return vector.size();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:05:40 Slobodan
   Initial version

*****************************************************************************^*/
