/*
 * @(#)JQComponentProperties.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQComponent Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQComponentProperties {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>name</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_NAME = "name"; //$NON-NLS-1$

  /**
   * The <tt>visible</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_VISIBLE = "visible"; //$NON-NLS-1$

  /**
   * The <tt>enabled</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ENABLED = "enabled"; //$NON-NLS-1$

  /**
   * The <tt>focusable</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_FOCUSABLE = "focusable"; //$NON-NLS-1$

  /**
   * The <tt>insets</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_INSETS = "insets"; //$NON-NLS-1$

  /**
   * The <tt>preferred size</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_PREFERRED_SIZE =
                                                 "preferredSize"; //$NON-NLS-1$

  /**
   * The <tt>minimum size</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_MINIMUM_SIZE =
                                                   "minimumSize"; //$NON-NLS-1$

  /**
   * The <tt>maximum size</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_MAXIMUM_SIZE =
                                                   "maximumSize"; //$NON-NLS-1$

  /**
   * The <tt>fixed size</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_FIXED_SIZE = "fixedSize"; //$NON-NLS-1$

  /**
   * The <tt>background</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_BACKGROUND = "background"; //$NON-NLS-1$

  /**
   * The <tt>foreground</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_FOREGROUND = "foreground"; //$NON-NLS-1$

  /**
   * The <tt>opaque</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_OPAQUE = "opaque"; //$NON-NLS-1$

  /**
   * The <tt>font</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_FONT = "font"; //$NON-NLS-1$

  /**
   * The <tt>styleSheet</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_STYLE_SHEET = "styleSheet"; //$NON-NLS-1$

  /**
   * The <tt>locale</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_LOCALE = "locale"; //$NON-NLS-1$

  /**
   * The <tt>component orientation</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_COMPONENT_ORIENTATION =
                                          "componentOrientation"; //$NON-NLS-1$

  /**
   * The <tt>resource bundle name</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_RESOURCE_BUNDLE_NAME =
                                            "resourceBundleName"; //$NON-NLS-1$

  /**
   * The <tt>tool tip text</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TOOL_TIP_TEXT =
                                                   "toolTipText"; //$NON-NLS-1$

  /**
   * The <tt>status tip text</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_STATUS_TIP_TEXT =
                                                 "statusTipText"; //$NON-NLS-1$

  /**
   * The <tt>what's this text</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_WHATS_THIS_TEXT =
                                                 "whatsThisText"; //$NON-NLS-1$

  /**
   * The <tt>contextMenu</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_CONTEXT_MENU =
                                                   "contextMenu"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:08:17 Slobodan
   Initial version

*****************************************************************************^*/
