/*
 * @(#)JQLabelProperties.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQLabel Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQLabelProperties extends JQTextProperty {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>textFormat</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TEXT_FORMAT = "textFormat"; //$NON-NLS-1$

  /**
   * The <tt>wrapText</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_WRAP_TEXT = "wrapText"; //$NON-NLS-1$

  /**
   * The <tt>horizontalAlignment</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_HORIZONTAL_ALIGNMENT =
                                           "horizontalAlignment"; //$NON-NLS-1$

  /**
   * The <tt>verticalAlignment</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_VERTICAL_ALIGNMENT =
                                             "verticalAlignment"; //$NON-NLS-1$

  /**
   * The <tt>icon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ICON = "icon"; //$NON-NLS-1$

  /**
   * The <tt>disabledIcon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DISABLED_ICON =
                                                  "disabledIcon"; //$NON-NLS-1$

  /**
   * The <tt>borderType</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_BORDER_TYPE = "borderType"; //$NON-NLS-1$

  /**
   * The <tt>borderStyle</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_BORDER_STYLE =
                                                   "borderStyle"; //$NON-NLS-1$

  /**
   * The <tt>borderWidth</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_BORDER_WIDTH =
                                                   "borderWidth"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 15:57:21 Slobodan
   Initial version

*****************************************************************************^*/
