/*
 * @(#)JQMenuItemProperties.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQMenuItem Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQMenuItemProperties extends JQTextProperty {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>accelerator</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ACCELERATOR = "accelerator"; //$NON-NLS-1$

  /**
   * The <tt>icon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ICON = "icon"; //$NON-NLS-1$

  /**
   * The <tt>action</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ACTION = "action"; //$NON-NLS-1$

  /**
   * The <tt>disabledIcon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DISABLED_ICON =
                                                  "disabledIcon"; //$NON-NLS-1$
  /**
   * The <tt>rolloverIcon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ROLLOVER_ICON =
                                                  "rolloverIcon"; //$NON-NLS-1$

  /**
   * The <tt>actionCommand</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ACTION_COMMAND =
                                                 "actionCommand"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:08:27 Slobodan
   Initial version

*****************************************************************************^*/
