/*
 * @(#)CustomStyle.java  0.2.0 / 2007-10-19
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.styles;

/**
 * Custom Style.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class CustomStyle extends AbstractStyle {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new SystemStyle object.
   *
   * @param name the style name
   * @param theme the style theme
   */
  public CustomStyle(String name, Theme theme) {
    super(name, null, theme);
  }

  /**
   * Constructs new SystemStyle object.
   *
   * @param name the style name
   * @param description the style description
   * @param theme the style theme
   */
  public CustomStyle(String name, String description, Theme theme) {
    super(name, description, theme);
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public boolean isSupported() {
    return true;
  }

  /**
   * {@inheritDoc}
   */
  public boolean isPlatformStyle() {
    return true;
  }

}

/*^*****************************************************************************
  File History:

 - 2007-10-19 18:18:21 Slobodan
   Initial version

*****************************************************************************^*/
