/*
 * @(#)CustomTheme.java  0.2.0 / 2007-10-19
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.styles;

/**
 * Custom Theme.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class CustomTheme extends AbstractTheme {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new CustomTheme object.
   *
   * @param colorPalette the color palette
   * @param fontSet the font set
   */
  public CustomTheme(ColorPalette colorPalette, FontSet fontSet) {
    super(colorPalette, fontSet);
  }

  /**
   * Constructs new CustomTheme object.
   *
   * @param name the theme name
   * @param colorPalette the color palette
   * @param fontSet the font set
   */
  public CustomTheme(String name, ColorPalette colorPalette, FontSet fontSet) {
    super(name, colorPalette, fontSet);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public boolean isSupported() {
    return true;
  }

}

/*^*****************************************************************************
  File History:

 - 2007-10-19 18:12:53 Slobodan
   Initial version

*****************************************************************************^*/
