/*
 * @(#)SystemTheme.java  0.2.0 / 2007-10-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.styles;

import yu.ac.bg.etf.javaqx.qswing.QSwing;

/**
 * System Theme.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class SystemTheme extends AbstractTheme {

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    QSwing.initialize();
  }

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new SystemTheme object.
   */
  public SystemTheme() {
    super("System", new SystemColorPalette(), //$NON-NLS-1$
          new SystemFontSet());
  }

/*^**************************************************************************^*/
/*- Pacakge-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  SystemTheme(String name) {
    super(name, new SystemColorPalette(name), new SystemFontSet(name));
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public boolean isSupported() {
    return true;
  }

}

/*^*****************************************************************************
  File History:

 - 2007-10-11 13:02:41 Slobodan
   Initial version

*****************************************************************************^*/
