/*
 * @(#)UnsupportedThemeException.java  0.2.0 / 2007-10-15
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.styles;

/**
 * Unsupported Theme Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class UnsupportedThemeException extends Exception {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 5774737898325876021L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new UnsupportedThemeException object.
   *
   * @param message the error message
   */
  public UnsupportedThemeException(String message) {
    super(message);
  }

  /**
   * Constructs new UnsupportedThemeException object.
   */
  public UnsupportedThemeException() {
    super("Theme is not supported"); //$NON-NLS-1$
  }

  /**
   * Constructs new UnsupportedThemeException object.
   *
   * @param message the error message
   * @param cause the cause
   */
  public UnsupportedThemeException(String message, Throwable cause) {
    super(message, cause);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-10-15 13:59:15 Slobodan
   Initial version

*****************************************************************************^*/
