/*
 * @(#)StyledDocument.java  0.2.0 / 2007-12-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.text;

/**
 * Styled Document.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class StyledDocument extends TextDocument {

/*^**************************************************************************^*/
/*- Private Fields.                                                          -*/
/*^**************************************************************************^*/

  private boolean wrapText;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new PlainDocument object.
   */
  public StyledDocument() {
    super();
  }

  /**
   * Constructs new PlainDocument object.
   *
   * @param text the text
   */
  public StyledDocument(String text) {
    super(text);
  }

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Returns <tt>true</tt> if the document is wrapping text.
   *
   * @return <tt>true</tt> if the document is wrapping text
   */
  public boolean isWrapText() {
    return wrapText;
  }

  /**
   * Sets wrap text status.
   *
   * @param wrapText if <tt>true</tt> the text area will wrap text
   */
  public void setWrapText(boolean wrapText) {
    boolean oldWrapText = this.wrapText;
    if (oldWrapText != wrapText) {
      disposedCheck();
      _setWordWrap(_bridge, wrapText);
      this.wrapText = wrapText;
      /** @todo  finish */
      //firePropertyChange(PROPERTY_WRAP_TEXT, oldWrapText, wrapText);
    }
  }

/*^**************************************************************************^*/
/*- Package-Private Native Methods.                                          -*/
/*^**************************************************************************^*/

  native long _create();

  native void _setWordWrap(long bridge, boolean wrapText);

}

/*^*****************************************************************************
  File History:

 - 2007-12-11 13:51:12 Slobodan
   Initial version

*****************************************************************************^*/
