/*
 * @(#)MutableTreeNode.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.tree;

/**
 * Mutable Tree Node Interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface MutableTreeNode extends TreeNode {

  /**
   * Inserts specified child at specified index.
   *
   * @param child the child
   * @param index the index
   */
  public void insert(MutableTreeNode child, int index);

  /**
   * Removes child at the specified index.
   *
   * @param index the index
   */
  public void remove(int index);

  /**
   * Removes specified node.
   *
   * @param node the node
   */
  public void remove(MutableTreeNode node);

  /**
   * Sets the parent of the node.
   *
   * @param parent the new parent
   */
  public void setParent(MutableTreeNode parent);

  /**
   * Removes the node form its parent.
   */
  public void removeFromParent();

  /**
   * Sets user object.
   *
   * @param object the object
   */
  public void setUserObject(Object object);

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:07:12 Slobodan
   Initial version

*****************************************************************************^*/
