/*
 * @(#)UndoAction.java  0.2.0 / 2007-09-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.actions;

import yu.ac.bg.etf.javaqx.qswing.AbstractAction;
import yu.ac.bg.etf.javaqx.qswing.KeyStroke;

/**
 * Undo Action.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class UndoAction extends AbstractAction { // NOPMD

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new UndoAction object.
   */
  public UndoAction() {
    super("&Undo", "Undo"); //$NON-NLS-1$ //$NON-NLS-2$
    setLongDescription("Undo last edit."); //$NON-NLS-1$
    setAcceleratorKey(KeyStroke.getKeyStroke("Ctrl+Z")); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-28 20:16:24 Slobodan
   Initial version

*****************************************************************************^*/
