/*
 * @(#)WhatsThisAction.java  0.2.0 / 2007-12-02
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.actions;

import yu.ac.bg.etf.javaqx.qswing.AbstractAction;
import yu.ac.bg.etf.javaqx.qswing.KeyStroke;
import yu.ac.bg.etf.javaqx.qswing.WhatsThisManager;
import yu.ac.bg.etf.javaqx.qswing.events.ActionEvent;

/**
 * Exit Action.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class WhatsThisAction extends AbstractAction {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new WhatsThisAction object.
   */
  public WhatsThisAction() {
    super("What's This?", "What's This?"); //$NON-NLS-1$ //$NON-NLS-2$
    setLongDescription("Context sensitive help."); //$NON-NLS-1$
    setAcceleratorKey(KeyStroke.getKeyStroke("Shift+F1")); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- ActionListener Interface Implementation.                                 -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    WhatsThisManager.enterWhatsThisMode();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-02 00:02:30 Slobodan
   Initial version

*****************************************************************************^*/
