/*
 * @(#)CodeToken.java  0.2.0 / 2007-12-14
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.text.code;

/**
 * Code Token.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class CodeToken {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /**
   * <tt>Comment start</tt> token type (the value is {@value}).
   */
  public static final int COMMENT_START = 0;

  /**
   * <tt>Comment end</tt> token type (the value is {@value}).
   */
  public static final int COMMENT_END = 1;

  /**
   * <tt>Inline comment</tt> token type (the value is {@value}).
   */
  public static final int INLINE_COMMENT = 2;

  /**
   * <tt>Number</tt> token type (the value is {@value}).
   */
  public static final int NUMBER = 3;

  /**
   * <tt>Char</tt> token type (the value is {@value}).
   */
  public static final int CHAR = 4;

  /**
   * <tt>String</tt> token type (the value is {@value}).
   */
  public static final int STRING = 5;

  /**
   * <tt>Keyword</tt> token type (the value is {@value}).
   */
  public static final int KEYWORD = 6;

  /**
   * <tt>End of comment block</tt> token type (the value is {@value}).
   */
  public static final int EOCB = 7;

  /**
   * <tt>End of file</tt> token type (the value is {@value}).
   */
  public static final int EOF = 8;

/*^**************************************************************************^*/
/*- Public Fields.                                                           -*/
/*^**************************************************************************^*/

// CS:OFF

  /**
   * The token start.
   */
  public int start;

  /**
   * The token length.
   */
  public int length;

  /**
   * The token type.
   */
  public int type;

// CS:ON

}

/*^*****************************************************************************
  File History:

 - 2007-12-14 21:43:20 Slobodan
   Initial version

*****************************************************************************^*/
