/*
 * @(#)CppScanner.java  0.2.0 / 2007-12-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.text.code;

// CS:OFF

/**
 * C/C++ Scanner.
 * <p>
 *   <tt>NOTE: This code is generated by JFlex 1.4.1</tt>
 * </p>
 *
 * @author  Slobodan Vrkacevic
 * @version 0.2.0
 */
%%
%init{
  cachedToken = new CppToken();
%init}
%{

  private CppToken cachedToken;
  private int commentStart;

  /**
   * Constructs new CppScanner object.
   *
   * @param blockText the text block
   */
  public CppScanner(String blockText) {
    this(new java.io.StringReader(blockText));
  }

  /**
   * Continues scanning.
   *
   * @param textBlock the text block
   */
  public void continueScan(String textBlock) {
    commentStart = 0;
    int currentState = yystate();
    yyreset(new java.io.StringReader(textBlock));
    yybegin(currentState);
  }

  private CppToken createToken(int type) {
    cachedToken.type = type;
    cachedToken.start = yychar;
    cachedToken.length = yylength();
    return cachedToken;
  }

  private CppToken createCommentToken(int type) {
    cachedToken.type = type;
    cachedToken.start = commentStart;
    cachedToken.length = yychar + yylength();
    return cachedToken;
  }

%}

%public
%class CppScanner
%function nextToken
%type CppToken
%eofclose
%unicode
%char
%state COMMENT
%pack

Digit = ([0-9A-F])
Letter = ([a-zA-Z_])
Number=({Digit}+ | "0x"{Digit}+ | {Digit}+L)
Blank = ([ ])
Tab = ([\t])
WhiteSpace = ({Blank}|{Tab})
Identifier = ({Letter}({Letter}|{Digit})*)
PrintableChar = ([\x20-\x7F]|{WhiteSpace})
CharConst = (\'((\\)?{PrintableChar}?)\')
StringConst = (\"{PrintableChar}*\")
InlineComment =("//".*)
CommentStart = ("/*")
CommentEnd = ("*/")
Keyword = ("char" | "class" | "double" | "int" | "long" | "private" |
           "protected" | "public" | "short" | "static" | "void" | "extern" |
           "struct" | "const" | "return" | "bool" | "if" | "do" | "for" |
           "while" | "else" | "switch" | "default" | "new" | "this" | "try" |
           "catch" | "finally" | "case" | "break" | "typedef" | "virtual" |
           "inline" | "template" | "reinterpret_cast" | "static_cast" |
           "constant_cast" | "typename" | "delete" | "false" | "true")
QtExtension = ("Q_OBJECT" | "SLOT" | "SIGNAL" | "slots" | "signals" |
               "qobject_cast")
Macro = ("#define" | "#include" | "#ifdef" | "#ifndef" | "#endif" | "#else")
Include = (" <".*\>)

%%

<COMMENT> {

  {CommentEnd} {
    yybegin(YYINITIAL);
    return createCommentToken(CppToken.COMMENT_END);
  }

  . {
  }

  <<EOF>> {
    return createCommentToken(CppToken.EOCB);
  }

}

<YYINITIAL> {

  {CommentStart} {
    commentStart = yychar;
    yybegin(COMMENT);
  }

  {InlineComment} {
    return createToken(CppToken.INLINE_COMMENT);
  }

  {QtExtension} {
    return createToken(CppToken.QT_EXTENSION);
  }

  {Include} {
    return createToken(CppToken.STRING);
  }

  {Macro} {
    return createToken(CppToken.MACRO);
  }

  {Keyword} {
    return createToken(CppToken.KEYWORD);
  }

  {StringConst} {
    return createToken(CppToken.STRING);
  }

  {CharConst} {
    return createToken(CppToken.CHAR);
  }

  {Identifier} {
  }

  {Number} {
    return createToken(CppToken.NUMBER);
  }

  . {
  }

}
