/*
 * @(#)JavaScanner.java  0.2.0 / 2007-12-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.text.code;

// CS:OFF

/**
 * Java Scanner.
 * <p>
 *   <tt>NOTE: This code is generated by JFlex 1.4.1</tt>
 * </p>
 *
 * @author  Slobodan Vrkacevic
 * @version 0.2.0
 */
%%
%init{
  cachedToken = new JavaToken();
%init}
%{

  private JavaToken cachedToken;
  private int commentStart;

  /**
   * Constructs new JavaScanner object.
   *
   * @param blockText the text block
   */
  public JavaScanner(String blockText) {
    this(new java.io.StringReader(blockText));
  }

  /**
   * Continues scanning.
   *
   * @param textBlock the text block
   */
  public void continueScan(String textBlock) {
    commentStart = 0;
    int currentState = yystate();
    yyreset(new java.io.StringReader(textBlock));
    yybegin(currentState);
  }

  private JavaToken createToken(int type) {
    cachedToken.type = type;
    cachedToken.start = yychar;
    cachedToken.length = yylength();
    return cachedToken;
  }

  private JavaToken createCommentToken(int type) {
    cachedToken.type = type;
    cachedToken.start = commentStart;
    cachedToken.length = yychar + yylength();
    return cachedToken;
  }

%}

%public
%class JavaScanner
%function nextToken
%type JavaToken
%eofclose
%unicode
%char
%state COMMENT
%pack

Digit = ([0-9A-F])
Letter = ([a-zA-Z_])
Number=({Digit}+ | "0x"{Digit}+ | {Digit}+L)
Identifier = ({Letter}({Letter}|{Digit})*)
PrintableChar = ([\x20-\x7F])
CharConst = (\'((\\)?{PrintableChar}?)\')
StringConst = (\"{PrintableChar}*\")
InlineComment =("//".*)
CommentStart = ("/*")
CommentEnd = ("*/")
Keyword = ("char" | "class" | "double" | "int" | "long" | "private" |
           "protected" | "public" | "short" | "static" | "void" | "volatile" |
           "package" | "final" | "import" | "native" | "interface" | "null" |
           "abstract" | "return" | "extends" | "boolean" | "if" | "do" | "for" |
           "while" | "else" | "switch" | "default" | "new" | "super" | "this" |
           "try" | "catch" | "finally" | "case" | "break" | "implements" |
           "throw" | "throws" | "synchronized" | "false" | "true")

%%

<COMMENT> {

  {CommentEnd} {
    yybegin(YYINITIAL);
    return createCommentToken(JavaToken.COMMENT_END);
  }

  . {
  }

  <<EOF>> {
    return createCommentToken(JavaToken.EOCB);
  }

}

<YYINITIAL> {

  {CommentStart} {
    commentStart = yychar;
    yybegin(COMMENT);
  }

  {InlineComment} {
    return createToken(JavaToken.INLINE_COMMENT);
  }

  {Keyword} {
    return createToken(JavaToken.KEYWORD);
  }

  {StringConst} {
    return createToken(JavaToken.STRING);
  }

  {CharConst} {
    return createToken(JavaToken.CHAR);
  }

  {Identifier} {
  }

  {Number} {
    return createToken(JavaToken.NUMBER);
  }

  . {
  }

}
