/*
 * @(#)TestSuiteJavaQx.java  0.2.0 / 2007-09-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.core.TestPackageCore;
import yu.ac.bg.etf.javaqx.nunit.TestPackage;
import yu.ac.bg.etf.javaqx.opengl.TestPackageOpenGL;
import yu.ac.bg.etf.javaqx.qswing.TestPackageQSwing;
import yu.ac.bg.etf.javaqx.qswingx.TestPackageQSwingX;
import yu.ac.bg.etf.javaqx.test.natives.TestPackageNatives;
import yu.ac.bg.etf.javaqx.util.TestPackageUtil;

/**
 * Package <tt>yu.ac.bg.etf.javaqx</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageJavaQx extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Method.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package <tt>yu.ac.bg.etf.javaqx</tt>.
   *
   * @return test suit for the package <tt>yu.ac.bg.etf.javaqx</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageJavaQx.class);
    suite.addTest(TestPackageCore.suite());
    suite.addTest(TestPackageQSwing.suite());
    suite.addTest(TestPackageQSwingX.suite());
    suite.addTest(TestPackageOpenGL.suite());
    suite.addTest(TestPackageUtil.suite());
    suite.addTestSuite(TestJavaQx.class);
    if (TestPackageNatives.TEST_NATIVES) {
      suite.addTest(TestPackageNatives.suite());
    }
    return suite;
  }

/*^**************************************************************************^*/
/*- Main Method.                                                             -*/
/*^**************************************************************************^*/

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageJavaQx.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-08 00:49:24 Slobodan
   Initial version

*****************************************************************************^*/
