/*
 * @(#)TestPackageLang.java  0.2.0 / 2007-09-08
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.test.natives;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.nunit.NativeTest;
import yu.ac.bg.etf.javaqx.nunit.TestPackage;
import yu.ac.bg.etf.javaqx.test.natives.core.TestPackageCore;

/**
 * Package <tt>yu.ac.bg.etf.javaqx.test.natives</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageNatives extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Field.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Test natives switch (the value is {@value}).
   */
  public static final boolean TEST_NATIVES = true;

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package
   * <tt>yu.ac.bg.etf.javaqx.test.natives</tt>.
   *
   * @return test suit for the package <tt>yu.ac.bg.etf.javaqx.test.natives</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageNatives.class);
    suite.addTest(TestPackageCore.suite());
    Test nativeTests = NativeTest.getNativeTests();
    if (nativeTests.countTestCases() > 0) {
      suite.addTest(nativeTests);
    }
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageNatives.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-08 00:42:52 Slobodan
   Initial version

*****************************************************************************^*/
