/*
 * @(#)TestSuiteJavaQx.java  0.2.0 / 2007-09-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.test.natives.core;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.nunit.TestPackage;
import yu.ac.bg.etf.javaqx.test.natives.core.adapter.TestQStringAdapter;
import yu.ac.bg.etf.javaqx.test.natives.core.jni.TestJNIObject;
import yu.ac.bg.etf.javaqx.test.natives.core.jni.TestJVMWrapper;

/**
 * Package <tt>yu.ac.bg.etf.javaqx.test.natives.core</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageCore extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package
   * <tt>yu.ac.bg.etf.javaqx.test.natives.core</tt>.
   *
   * @return test suit for the package
   *         <tt>yu.ac.bg.etf.javaqx.test.natives.core</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageCore.class);
    suite.addTestSuite(TestQStringAdapter.class);
    suite.addTestSuite(TestJNIObject.class);
    suite.addTestSuite(TestJVMWrapper.class);
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageCore.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-08 00:49:24 Slobodan
   Initial version

*****************************************************************************^*/
