/*
 * @(#)TestQStringAdapter.java  0.2.0 / 2007-01-31
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.test.natives.core.adapter;

import junit.framework.TestCase;

import yu.ac.bg.etf.javaqx.JavaQx;

/**
 * QStringAdapter Test.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestQStringAdapter extends TestCase {

/*^**************************************************************************^*/
/*- Test Method.                                                             -*/
/*^**************************************************************************^*/

  /**
   * Tests QStringAdapter.
   */
  public void testExecQStringAdapter() {
    String s1 = "s1"; //$NON-NLS-1$
    String s2 = "s1"; //$NON-NLS-1$
    String expected = s1 + s2;
    String actual = _testConcat(s1, s2);
    assertEquals(expected, actual);
  }

  /**
   * Tests QStringAdapter.
   */
  public void testExecQStringAdapter2() {
    String s1 = "s1"; //$NON-NLS-1$
    String s2 = "s1"; //$NON-NLS-1$
    String expected = s1 + s2;
    String actual = _testAppend(s1, s2);
    assertEquals(expected, actual);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void setUp()throws Exception {
    JavaQx.initialize();
  }

/*^**************************************************************************^*/
/*- Package-Private Native Method.                                           -*/
/*^**************************************************************************^*/

  static native String _testConcat(String s1, String s2);

  static native String _testAppend(String s1, String s2);

}

/*^*****************************************************************************
  File History:

 - 2007-01-31 02:33:12 Slobodan
   Initial version

*****************************************************************************^*/
