/*
 * @(#)TestJVMWrapper.java  0.2.0 / 2007-02-06
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.test.natives.core.jni;

import junit.framework.TestCase;

import yu.ac.bg.etf.javaqx.JavaQx;

/**
 * JVMWrapper Test.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestJVMWrapper extends TestCase {

/*^**************************************************************************^*/
/*- Test Method.                                                             -*/
/*^**************************************************************************^*/

  /**
   * Tests <tt>exit</tt> method.
   */
  public void testExecExit() {
    _testExit();
    fail("JVM did not exit"); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void setUp()throws Exception {
    JavaQx.initialize();
  }

/*^**************************************************************************^*/
/*- Package-Private Native Method.                                           -*/
/*^**************************************************************************^*/

  static native void _testExit();

}

/*^*****************************************************************************
  File History:

 - 2007-02-06 12:17:56 Slobodan
   Initial version

*****************************************************************************^*/
