/*
 * @(#)TestQSwing.java  0.1.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import junit.framework.TestCase;

/**
 * Test QSwing.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0
 */
public class TestQSwing extends TestCase {

/*^**************************************************************************^*/
/*- Test Methods.                                                            -*/
/*^**************************************************************************^*/

  /**
   * Tests <tt>isInitialized</tt> method.
   */
  public void testExecIsInitialized() {
    QSwing.initialize();
    assertTrue(QSwing.isInitialized());
  }

  /**
   * Tests <tt>isDisposed</tt> and <tt>dispose</tt> methods.
   */
  public void testExecIsDisposed() {
    QSwing.initialize();
    assertFalse(QSwing.isDisposed());
    QSwing.dispose();
    assertTrue(QSwing.isDisposed());
  }

  /**
   * Tests <tt>isEventLoopRunning</tt>, <tt>startEventLoop</tt> and
   * <tt>stopEventLoop</tt> methods.
   */
  public void testExecIsEventLoopRunning() {
    QSwing.initialize();
    assertFalse(QSwing.isEventLoopRunning());
    Thread qswingDisposer = new Thread() {
      public void run() {
        try {
          Thread.sleep(1000);
        } catch (InterruptedException ie) {
          // empty catch block
        }
        assertTrue(QSwing.isEventLoopRunning());
        QSwing.stopEventLoop();
      }
    };
    qswingDisposer.start();
    QSwing.startEventLoop(true);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-30 13:53:34 Slobodan
   Initial version

*****************************************************************************^*/
