/*
 * @(#)JavaQxCommon.h  0.2.0 / 2007-09-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JAVAQXCOMMON_H
#define JAVAQXCOMMON_H

/*!
 * \mainpage Java Qt Extensions
 *
 * <p>Fine mixture of Java and Qt framework.</p>
 * <br/>
 */

/*!
 * \brief Common header file for all modules.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */

/*^**************************************************************************^*/
/*- JavaQxCommon :: Include.                                                 -*/
/*^**************************************************************************^*/

#include <QGlobalStatic>
#include <QString>

#include "jni.h"

/*^**************************************************************************^*/
/*- JavaQxCommon :: Global Definitions.                                      -*/
/*^**************************************************************************^*/

#define JAVAQX_JNI_VERSION JNI_VERSION_1_4

#ifdef JAVAQX_LIB
  #define JAVAQX_EXPORT Q_DECL_EXPORT
#else
  #define JAVAQX_EXPORT
#endif // JAVAQX_LIB

#ifdef JAVAQX_DEBUG
  #include <iostream>
  #define sout(string) std::cout << string << std::endl
  #define snl std::cout << std::endl
  #include <QDebug>
#endif // JAVAQX_DEBUG

#ifdef USE_PLATFORM_CODE
  #ifdef Q_OS_WIN32
    #define USE_WIN32_CODE
  #endif // Q_OS_WIN32
  #ifdef Q_OS_LINUX
    #define USE_LINUX_CODE
  #endif // Q_OS_LINUX
#endif // USE_PLATFORM_CODE

#define BEGIN_NAMESPACE_JAVAQX namespace JavaQx {
#define END_NAMESPACE_JAVAQX }

/*^**************************************************************************^*/
/*- JavaQxCommon :: Global Functions.                                        -*/
/*^**************************************************************************^*/

BEGIN_NAMESPACE_JAVAQX

void ErrorMessage(const char *title, const char *message);

void WarningMessage(const char *title, const char *message);

void InformationMessage(const char *title, const char *message);

END_NAMESPACE_JAVAQX

#endif // JAVAQXCOMMON_H

/*^*****************************************************************************
  File History:

 - 2007-05-20 10:31:11 Slobodan
   Initial version

*****************************************************************************^*/
