/*!
 * @(#)GlobalJObject.cpp  0.1.0 / 2007-08-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "GlobalJObject.h"

#include "JNIWrapper.h"

/*^**************************************************************************^*/
/*- GlobalJObject :: Public Constructor.                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new GlobalJObject object.
 *
 * \param env the JNIEnv pointer
 * \param obj the Java object
 */
GlobalJObject::GlobalJObject(JNIEnv *env, jobject obj)
{
  if (obj) {
    m_obj = JNIWrapper::newGlobalRef(env, obj);
    m_env = env;
  } else {
    m_obj = 0;
  }
}

/*^**************************************************************************^*/
/*- GlobalJObject :: Public Destructor.                                      -*/
/*^**************************************************************************^*/

/*!
 * \brief Destructs GlobalJObject object.
 */
GlobalJObject::~GlobalJObject()
{
  if (m_obj) {
    m_env->DeleteGlobalRef(m_obj);
  }
}

/*^**************************************************************************^*/
/*- GlobalJObject :: Private Constructor.                                    -*/
/*^**************************************************************************^*/

GlobalJObject::GlobalJObject(const GlobalJObject &)
{
  // Copy constructor is disabled.
}

/*^*****************************************************************************
  File History:

 - 2007-08-21 21:07:55 Slobodan
   Initial version

*****************************************************************************^*/
