/*!
 * @(#)GlobalJObject.h  0.1.0 / 2007-08-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef GLOBALJOBJECT_H
#define GLOBALJOBJECT_H

#include "JavaQxCommon.h"

/*^**************************************************************************^*/
/*- GlobalJObject Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief Global JObject.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT GlobalJObject
{
public:
  GlobalJObject(JNIEnv *env, jobject obj);
  virtual ~GlobalJObject();
private:
  GlobalJObject(const GlobalJObject &);
public:
  inline jobject ref() const;
protected:
  JNIEnv *m_env;
  jobject m_obj;
};

/*^**************************************************************************^*/
/*- GlobalJObject :: Public Inline Member Function.                          -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns global reference.
 *
 * \return global reference
 */
inline jobject GlobalJObject::ref() const
{
  return m_obj;
}

#endif // GLOBALJOBJECT_H

/*^*****************************************************************************
  File History:

 - 2007-08-21 21:06:25 Slobodan
   Initial version

*****************************************************************************^*/
