/*
 * @(#)JVMWrapper.h  0.2.0 / 2007-09-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JVMWRAPPER_H
#define JVMWRAPPER_H

#include "JavaQxCommon.h"

/*^**************************************************************************^*/
/*- JVMWrapper Class.                                                        -*/
/*^**************************************************************************^*/

/*!
 * \brief JVM Wrapper.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JVMWrapper
{
public:
  static void initialize(JavaVM *jvm);
  static JNIEnv *getEnv();
  static void exit(int status = -1);
  static void exitCritical(int status = -1);
  static bool attachCurrentThread();
  static bool detachCurrentThread();
private:
  void static exitJVM(JNIEnv *env, int status);
private:
  static JavaVM *sm_jvm;
};

#endif // JVMWRAPPER_H

/*^*****************************************************************************
  File History:

 - 2007-09-11 17:57:48 Slobodan
   Initial version

*****************************************************************************^*/
