/*
 * @(#)LocalMonitor.h  0.2.0 / 2007-09-17
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef LOCALMONITOR_H
#define LOCALMONITOR_H

#include "JavaQxCommon.h"

/*^**************************************************************************^*/
/*- LocalMonitor Class.                                                      -*/
/*^**************************************************************************^*/

/*!
 * \brief Local Monitor.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT LocalMonitor
{
public:
  LocalMonitor(JNIEnv *env, jobject obj, jfieldID lockField = 0);
  virtual ~LocalMonitor();
private:
  LocalMonitor(const LocalMonitor &);
public:
  bool enter();
  bool exit();
public:
  inline bool isEntered() const;
protected:
  JNIEnv *m_env;
  jobject m_obj;
  bool m_entered;
};

/*^**************************************************************************^*/
/*- LocalMonitor :: Public Inline Member Function.                           -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns \c true if the monitor is enered.
 *
 * \return \c true if the monitor is enered
 */
inline bool LocalMonitor::isEntered() const
{
  return m_entered;
}

#endif //LOCALMONITOR_H

/*^*****************************************************************************
  File History:

 - 2007-09-17 13:57:13 Slobodan
   Initial version

*****************************************************************************^*/
