/*
 * @(#)Launcher.h  0.2.0 / 2007-04-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef LAUNCHER_H
#define LAUNCHER_H

/*^**************************************************************************^*/
/*- Launcher :: Include.                                                     -*/
/*^**************************************************************************^*/

#include "jni.h"

/*^**************************************************************************^*/
/*- Launcher :: Definitions.                                                 -*/
/*^**************************************************************************^*/

#define MESSAGE_NO_SUITABLE_JVM "Could not find suitable JVM."
#define MESSAGE_ERROR_LAUNCHING "Could not launch application."

#define main _main

/*^**************************************************************************^*/
/*- Launcher :: Member Functions.                                            -*/
/*^**************************************************************************^*/

void ShowError(const char *message, const char *title = 0);

jobjectArray ToJStringArray(JNIEnv *env, char **str, int fromIndex,
                            int toIndex);

bool CreateJVM(JavaVM **pjvm, JNIEnv **penv, JavaVMInitArgs *pargs);

bool InvokeMainMethod(JNIEnv *env, jclass mainClass, jobjectArray args);

extern int _main(int argc, char **argv);

#endif // LAUNCHER_H

/*^*****************************************************************************
  File History:

 - 2007-04-13 13:52:11 Slobodan
   Initial version

*****************************************************************************^*/
