/*
 * @(#)LauncherTemplate.cpp  0.2.0 / 2007-04-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifdef LAUNCHER_TEMPLATE

#include "Launcher.h"

int main(int argc, char **argv)
{
  JavaVM *jvm = 0;
  JNIEnv *env = 0;
  JavaVMInitArgs args;
  args.version = JNI_VERSION_1_4;
  args.ignoreUnrecognized = JNI_TRUE;
  args.nOptions = 0;
  JavaVMOption options[7];
  #ifdef JVM_OPTIONS_0
    options[args.nOptions++].optionString = JVM_OPTIONS_0;
  #endif // JVM_OPTIONS_0
  #ifdef JVM_OPTIONS_1
    options[args.nOptions++].optionString = JVM_OPTIONS_1;
  #endif // JVM_OPTIONS_1
  #ifdef JVM_OPTIONS_2
    options[args.nOptions++].optionString = JVM_OPTIONS_2;
  #endif // JVM_OPTIONS_2
  #ifdef JVM_OPTIONS_3
    options[args.nOptions++].optionString = JVM_OPTIONS_3;
  #endif // JVM_OPTIONS_3
  #ifdef JVM_OPTIONS_4
    options[args.nOptions++].optionString = JVM_OPTIONS_4;
  #endif // JVM_OPTIONS_4
  #ifdef JVM_OPTIONS_5
    options[args.nOptions++].optionString = JVM_OPTIONS_5;
  #endif // JVM_OPTIONS_5
  #ifdef JVM_OPTIONS_6
    options[args.nOptions++].optionString = JVM_OPTIONS_6;
  #endif // JVM_OPTIONS_6
  args.options = options;
  if (CreateJVM(&jvm, &env, &args)) {
    if (InvokeMainMethod(env, env->FindClass(MAIN_CLASS),
                         ToJStringArray(env, argv, 1, argc))) {
      jvm->DetachCurrentThread();
      jvm->DestroyJavaVM();
      return 0;
    } else {
      ShowError(MESSAGE_ERROR_LAUNCHING);
      jvm->DetachCurrentThread();
      jvm->DestroyJavaVM();
    }
  } else {
    ShowError(MESSAGE_NO_SUITABLE_JVM);
  }
  return -1;
}

#endif // LAUNCHER_TEMPLATE

/*^*****************************************************************************
  File History:

 - 2007-04-13 14:04:32 Slobodan
   Initial version

*****************************************************************************^*/
