/*
 * @(#)DebugLauncher.cpp  0.2.0 / 2007-04-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "Launcher.h"

int main(int argc, char **argv)
{
  JavaVM *jvm = 0;
  JNIEnv *env = 0;
  JavaVMInitArgs args;
  args.version = JNI_VERSION_1_4;
  args.ignoreUnrecognized = JNI_TRUE;
  args.nOptions = 0;
  JavaVMOption options[7];
  if (argc > 2) {
    options[args.nOptions++].optionString = argv[2];
  }
  if (argc > 3) {
    options[args.nOptions++].optionString = argv[3];
  }
  args.options = options;
  if (CreateJVM(&jvm, &env, &args)) {
    char c;
    int i = 0;
    while ((c = argv[1][i]) != '\0') {
      if (c == '.') {
        argv[1][i] = '/';
      }
      i++;
    }
    if (InvokeMainMethod(env, env->FindClass(argv[1]),
                         ToJStringArray(env, argv, 1, argc))) {
      jvm->DetachCurrentThread();
      jvm->DestroyJavaVM();
      return 0;
    } else {
      ShowError(MESSAGE_ERROR_LAUNCHING);
      jvm->DetachCurrentThread();
      jvm->DestroyJavaVM();
    }
  } else {
    ShowError(MESSAGE_NO_SUITABLE_JVM);
  }
  return -1;
}

/*^*****************************************************************************
  File History:

 - 2007-04-14 18:04:32 Slobodan
   Initial version

*****************************************************************************^*/
