/*
 * @(#)JavaQxNUnit.h  0.2.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JAVAQXNUNIT_H
#define JAVAQXNUNIT_H

#ifdef JAVAQX_TEST

/*!
 * \brief Common header file for the test module.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */

/*^**************************************************************************^*/
/*- JavaQxNUnit :: Includes.                                                 -*/
/*^**************************************************************************^*/

#include "NativeTestRegistry.h"
#include "NativeTestCase.h"

/*^**************************************************************************^*/
/*- Macro Definitions.                                                       -*/
/*^**************************************************************************^*/

#define TEST_ASSERT(condition) \
    do { \
      if (!(condition)) { \
        failCondition(#condition, __FILE__, __LINE__); \
        return; \
      } \
    } while (false)
#define TEST_ASSERT_EQUALS(obj1, obj2) \
    do { \
      if (!(obj1 == obj2)) { \
        failCondition(#obj1" == "#obj2, __FILE__, __LINE__); \
        return; \
      } \
    } while (false)

#define REGISTER_NATIVE_TEST(module, class) \
    static bool registred = NativeTestRegistry:: \
              registerTestFactory(#module, new NativeTestFactory<class>(#class))

#endif // JAVAQX_TEST

#endif // JAVAQXNUNIT_H

/*^*****************************************************************************
  File History:

 - 2007-12-30 12:53:13 Slobodan
   Initial version

*****************************************************************************^*/
