/*
 * @(#)NativeTestRegistry.h  0.2.0 / 2007-09-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef NATIVETESTREGISTRY_H
#define NATIVETESTREGISTRY_H

#ifdef JAVAQX_TEST

#include "NativeTestFactory.h"

/*^**************************************************************************^*/
/*- NativeTestRegistry Class.                                                -*/
/*^**************************************************************************^*/

typedef QList<AbstractNativeTestFactory *> NativeTestFactories;
typedef QMap<QString, NativeTestFactories *> NativeTestModules;

/*!
 * \brief Native Test Registry.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT NativeTestRegistry
{
private:
  NativeTestRegistry();
  ~NativeTestRegistry();
public:
  static bool registerTestFactory(const QString &module,
                                  AbstractNativeTestFactory *testFactory);
  static jobjectArray getTestModules(JNIEnv *env);
  static jobjectArray getTestCases(JNIEnv *env, jstring testModule);
  static jlong createTestCase(JNIEnv *env, jstring testModule,
                              jstring testCase);
private:
  static NativeTestModules *modules; 
};

#endif // JAVAQX_TEST

#endif // NATIVETESTREGISTRY_H

/*^*****************************************************************************
  File History:

 - 2007-09-07 19:10:04 Slobodan
   Initial version

*****************************************************************************^*/
