/*
 * @(#)QGLWidgetAdapter.cpp  0.2.0 / 2007-08-17
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "QGLWidgetAdapter.h"

#include "GLJQComponentBridge.h"

/*^**************************************************************************^*/
/*- QGLWidgetAdapter :: Public Constructor.                                  -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new QGLWidgetAdapter object.
 *
 * \param glComp the GLJQComponentBridge object
 */
QGLWidgetAdapter::QGLWidgetAdapter(GLJQComponentBridge *glComp)
  : QGLWidget(), m_glComp(glComp)
{
  // empty body
}

/*^**************************************************************************^*/
/*- JQComponentGL :: Overridden Member Functions.                            -*/
/*^**************************************************************************^*/

/*!
 * \brief Calls initializeGL method of the JavaQx JQGLComponent object.
 */
void QGLWidgetAdapter::initializeGL()
{
  m_glComp->callInitializeGL();
}

/*!
 * \brief Calls resizeGL method of the JavaQx JQGLComponent object.
 *
 * \param width the width
 * \param height the height
 */
void QGLWidgetAdapter::resizeGL(int width, int height)
{
  m_glComp->callResizeGL(width, height);
}

/*!
 * \brief Calls paintGL method of the JavaQx JQGLComponent object.
 */
void QGLWidgetAdapter::paintGL()
{
  m_glComp->callPaintGL();
}

/*^*****************************************************************************
  File History:

 - 2007-08-17 16:58:30 Slobodan
   Initial version

*****************************************************************************^*/
