/*
 * @(#)yu_ac_bg_etf_javaqx_opengl_QOpenGL.cpp  0.2.0 / 2007-08-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_opengl_QOpenGL.h"

/*!
 * \brief yu_ac_bg_etf_javaqx_opengl_QOpenGL native implementation.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */

#include "JavaQxOpenGL.h"

/*^**************************************************************************^*/
/*- Pacakge-Private Static Native Methods.                                   -*/
/*^**************************************************************************^*/

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glVertex3f
  (JNIEnv *, jclass, jfloat x, jfloat y, jfloat z)
{
  glVertex3f(x, y, z);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glColor3f
  (JNIEnv *, jclass, jfloat r, jfloat g, jfloat b)
{
  glColor3f(r, g, b);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glClearColor
  (JNIEnv *, jclass, jfloat r, jfloat g, jfloat b, jfloat a)
{
  glClearColor(r, g, b, a);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glShadeModel
  (JNIEnv *, jclass, jint mode)
{
  glShadeModel(mode);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glClearDepth
  (JNIEnv *, jclass, jfloat depth)
{
  glClearDepth(depth);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glHint
  (JNIEnv *, jclass, jint target, jint mode)
{
  glHint(target, mode);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glEnable
  (JNIEnv *, jclass, jint cap)
{
  glEnable(cap);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glDepthFunc
  (JNIEnv *, jclass, jint func)
{
  glDepthFunc(func);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glClear
  (JNIEnv *, jclass, jint mask)
{
  glClear(mask);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glLoadIdentity
  (JNIEnv *, jclass)
{
  glLoadIdentity();
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glTranslatef
  (JNIEnv *, jclass, jfloat x, jfloat y, jfloat z)
{
  glTranslatef(x, y, z);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glRotatef
  (JNIEnv *, jclass, jfloat angle, jfloat x, jfloat y, jfloat z)
{
  glRotatef(angle, x, y, z);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glBegin
  (JNIEnv *, jclass, jint mode)
{
   glBegin(mode);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glEnd
  (JNIEnv *, jclass)
{
  glEnd();
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glViewport
  (JNIEnv *, jclass, jint x, jint y, jint width, jint height)
{
  glViewport(x, y, width, height);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1glMatrixMode
  (JNIEnv *, jclass, jint mode)
{
  glMatrixMode(mode);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1gluPerspective
  (JNIEnv *, jclass, jdouble fovy, jdouble aspect, jdouble zNear, jdouble zFar)
{
  gluPerspective(fovy, aspect, zNear, zFar); 
}

/*^**************************************************************************^*/
/*- Private Static Native Method.                                            -*/
/*^**************************************************************************^*/

JNIEXPORT jboolean JNICALL
Java_yu_ac_bg_etf_javaqx_opengl_QOpenGL__1initialize
  (JNIEnv *, jclass)
{
  return QGLFormat::hasOpenGL();
}

/*^*****************************************************************************
  File History:

 - 2007-08-18 14:03:48 JavaQx Native Generator
   Initial version

*****************************************************************************^*/
