/*
 * @(#)JavaQxPlatform.h  0.2.0 / 2007-05-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JAVAQXPLATFORM_H
#define JAVAQXPLATFORM_H

/*!
 * \brief Platform-Dependent Code.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */

/*^**************************************************************************^*/
/*- JavaQxPlatform :: Include.                                               -*/
/*^**************************************************************************^*/

#include "JavaQxCommon.h"

/*^**************************************************************************^*/
/*- JavaQxPlatform :: Definitions.                                           -*/
/*^**************************************************************************^*/

#define BEGIN_NAMESPACE_JAVAQX_PLATFORM namespace JavaQx { namespace Platform {
#define END_NAMESPACE_JAVAQX_PLATFORM } }

BEGIN_NAMESPACE_JAVAQX_PLATFORM

/*^**************************************************************************^*/
/*- JavaQxPlatform :: Functions.                                             -*/
/*^**************************************************************************^*/

/*!
 * \brief Shows error message.
 *
 * \brief title the title
 * \brief message the message
 */
void ErrorMessage(const char *title, const char *message);

/*!
 * \brief Shows warning message.
 *
 * \brief title the title
 * \brief message the message
 */
void WarningMessage(const char *title, const char *message);

/*!
 * \brief Shows information message.
 *
 * \brief title the title
 * \brief message the message
 */
void InformationMessage(const char *title, const char *message);

END_NAMESPACE_JAVAQX_PLATFORM

#endif // JAVAQXPLATFORM_H

/*^*****************************************************************************
  File History:

 - 2007-05-28 17:21:40 Slobodan
   Initial version

*****************************************************************************^*/
