/*
 * @(#)JavaQxWin32.h  0.2.0 / 2007-05-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JAVAQXWIN32_H
#define JAVAQXWIN32_H

/*!
 * \brief Win32 Code.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */

/*^**************************************************************************^*/
/*- JavaQxWin32 :: Include.                                                  -*/
/*^**************************************************************************^*/

#ifndef _WIN32_WINNT
  #define _WIN32_WINNT 0x0510
#endif // _WIN32_WINNT

#include <windows.h>

#include "JavaQxPlatform.h"

/*^**************************************************************************^*/
/*- JavaQxWin32 :: Definitions.                                              -*/
/*^**************************************************************************^*/

#define BEGIN_NAMESPACE_JAVAQX_PLATFORM_WIN32 \
    namespace JavaQx { namespace Platform { namespace Win32 {
#define END_NAMESPACE_JAVAQX_PLATFORM_WIN32 } } }

/*^**************************************************************************^*/
/*- JavaQxWin32 :: Functions.                                                -*/
/*^**************************************************************************^*/

BEGIN_NAMESPACE_JAVAQX_PLATFORM_WIN32

HMODULE GetLibraryHandle();

bool IsThemeAvailable();

bool IsThemeEnabled();

void EnableTheme();

void DisableTheme();

void SystemThemeChanged();

END_NAMESPACE_JAVAQX_PLATFORM_WIN32

#endif // JAVAQXWIN32_H

/*^*****************************************************************************
  File History:

 - 2007-05-28 17:21:40 Slobodan
   Initial version

*****************************************************************************^*/
