/*
 * @(#)ContentPane.cpp  0.2.0 / 2007-11-20
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "ContentPane.h"

/*^**************************************************************************^*/
/*- ContentPane :: Public Constructor.                                       -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new ContentPane object.
 *
 * \param bridge the bridge
 */
ContentPane::ContentPane(ContentPaneBridge *bridge)
  : QWidget(0), m_bridge(bridge)
{
  Q_ASSERT(m_bridge);
}

/*^**************************************************************************^*/
/*- ContentPane :: Overridden Member Function.                               -*/
/*^**************************************************************************^*/

/*!
 * \inheritDoc
 */
QSize ContentPane::sizeHint() const
{
  return m_bridge->getLayoutPreferredSize();
}

/*^*****************************************************************************
  File History:

 - 2007-11-20 14:12:52 Slobodan
   Initial version

*****************************************************************************^*/
