/*
 * @(#)InternalFrameWidget.cpp  0.2.0 / 2007-11-20
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "InternalFrameWidget.h"

/*^**************************************************************************^*/
/*- InternalFrameWidget :: Public Constructor.                               -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new InternalFrameWidget object.
 *
 * \param bridge the bridge
 */
InternalFrameWidget::InternalFrameWidget(JQInternalFrameBridge *bridge)
  : QWidget(0), m_bridge(bridge)
{
  Q_ASSERT(m_bridge);
}

/*^**************************************************************************^*/
/*- InternalFrameWidget :: Overridden Member Function.                       -*/
/*^**************************************************************************^*/

/*!
 * \inheritDoc
 */
QSize InternalFrameWidget::sizeHint() const
{
  return m_bridge->getLayoutPreferredSize();
}

/*^*****************************************************************************
  File History:

 - 2007-11-20 14:12:52 Slobodan
   Initial version

*****************************************************************************^*/
