/*
 * @(#)PlainDocument.h  0.2.0 / 2007-12-12
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef PLAINDOCUMENT_H
#define PLAINDOCUMENT_H

#include "JavaQxQSwing.h"

#include "QTextDocumentAdapter.h"

/*^**************************************************************************^*/
/*- PlainDocument Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief Plain Document.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT PlainDocument : public QTextDocumentAdapter
{
public:
  PlainDocument(TextDocumentBridge *documentBridge);
public:
  virtual QString getText() const;
  virtual void setText(const QString &text);
  virtual void appendText(const QString &text);
};

#endif // PLAINDOCUMENT_H

/*^*****************************************************************************
  File History:

 - 2007-12-12 15:01:12 Slobodan
   Initial version

*****************************************************************************^*/
