/*
 * @(#)QApplicationAdapter.h  0.2.0 / 2007-05-01
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QAPPLICATIONADAPTER_H
#define QAPPLICATIONADAPTER_H

#include "JavaQxQSwing.h"

#include "QFontSet.h"

/*^**************************************************************************^*/
/*- QApplicationAdapter Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief QApplication Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QApplicationAdapter : public QApplication
{
  Q_OBJECT
public:
  QApplicationAdapter(int &argc, char **argv);
public:
  void aboutQt(JNIEnv *env);
  void aboutQSwing(JNIEnv *env);
  bool setTranslation(JNIEnv *env, const QString &fileName);
  void removeTranslation(JNIEnv *env);
  void setStyleSheet(JNIEnv *env, jstring styleSheetText);
  void setOverrideCursor(JNIEnv *env, jint type);
  void changeOverrideCursor(JNIEnv *env, jint type);
  void restoreOverrideCursor(JNIEnv *env);
  void setFontSet(QFontSet *fontSet);
public:
  static int exec(bool quitOnLastWindowClosed);
private slots:
  void aboutQSwingSlot();
  void setTranslationSlot(bool *succeed, const QString &fileName);
  void removeTranslationSlot();
  void setStyleSheetSlot(const QString &styleSheetText);
  void setOverrideCursorSlot(jint type);
  void changeOverrideCursorSlot(jint type);
  void restoreOverrideCursorSlot();
  void aboutToQuitSlot();
signals:
  void aboutQtSignal();
  void setTranslationSignal(bool *succeed, const QString &fileName);
  void removeTranslationSignal();
  void setStyleSheetSignal(const QString &styleSheetText);
  void setOverrideCursorSignal(jint type);
  void changeOverrideCursorSignal(jint type);
  void restoreOverrideCursorSignal();
  void aboutQSwingSignal();
private:
  QFontSet *m_fontSet;
private:
  static QTranslator *sm_translator;
};

#endif // QAPPLICATIONADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-05-01 18:49:15 Slobodan
   Initial version

*****************************************************************************^*/
