/*!
 * @(#)QColorAdapter.h  0.2.0 / 2007-08-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QCOLORADAPTER_H
#define QCOLORADAPTER_H

#include "JavaQxCore.h"

#include <QColor>

/*^**************************************************************************^*/
/*- QColorAdapter Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief QColor Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QColorAdapter : public QColor
{
public:
  QColorAdapter(jobject color);
  QColorAdapter(jint argb);
public:
  static void initialize(JNIEnv *env, jclass cls);
  static jobject toJColor(JNIEnv *env, jclass colorClass, const QColor &color);
  static jobject toJColor(const QColor &color);
private:
  static jclass sm_colorClass;
  static jmethodID sm_constructorMID;
  static jmethodID sm_getARGBMID;
};

#endif //QCOLORADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-08-28 09:22:41 Slobodan
   Initial version

*****************************************************************************^*/
