/*
 * @(#)QCursorAdapter.h  0.2.0 / 2007-10-25
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QCURSORADAPTER_H
#define QCURSORADAPTER_H

#include "JavaQxCore.h"

#include <QCursor>

/*^**************************************************************************^*/
/*- QCursorAdapter Class.                                                    -*/
/*^**************************************************************************^*/

/*!
 * \brief QCursor Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QCursorAdapter : public QCursor
{
public:
  QCursorAdapter(int type);
public:
  static int cursorType(const QCursor &cursor);
private:
  static int rangeCheck(int type);
private:
  static const Qt::CursorShape CURSOR_SHAPE[];
};

#endif // QCURSORADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-10-25 09:20:22 Slobodan
   Initial version

*****************************************************************************^*/
