/*
 * @(#)QEventsAdapter.cpp  0.2.0 / 2007-09-09
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "QEventsAdapter.h"

/*^**************************************************************************^*/
/*- QSwingKeyTypedEvent :: Public Constructor.                               -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new QSwingKeyTypedEvent object.
 *
 * \param key the key code
 * \param modifiers the keyboard modifiers
 */
QSwingKeyTypedEvent::QSwingKeyTypedEvent(int key,
                                         Qt::KeyboardModifiers modifiers)
  : QKeyEvent(static_cast<Type>(QSwingKeyTypedEvent::TYPE), key, modifiers)
{
  // empty body
}

/*!
 * \brief Constructs new QSwingKeyTypedEvent object.
 *
 * \param ke the key event
 */
QSwingKeyTypedEvent::QSwingKeyTypedEvent(QKeyEvent *ke)
  : QKeyEvent(static_cast<Type>(QSwingKeyTypedEvent::TYPE), ke->key(),
              ke->modifiers(), ke->text())
{
  // empty body
}

/*^**************************************************************************^*/
/*- QSwingMouseClickedEvent :: Public Constructor.                           -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new QSwingMouseClickedEvent object.
 *
 * \param position the mouse position
 * \param button the mouse button
 * \param buttons the mouse buttons
 * \param modifiers the keyboard modifiers
 */
QSwingMouseClickedEvent::
    QSwingMouseClickedEvent(const QPoint &position, Qt::MouseButton button,
                            Qt::MouseButtons buttons,
                            Qt::KeyboardModifiers modifiers)
  : QMouseEvent(static_cast<Type>(QSwingMouseClickedEvent::TYPE), position,
                button, buttons, modifiers)
{
  // empty body
}

/*!
 * \brief Constructs new QSwingMouseClickedEvent object.
 *
 * \param me the mouse event event
 */
QSwingMouseClickedEvent::QSwingMouseClickedEvent(QMouseEvent *me)
  : QMouseEvent(static_cast<Type>(QSwingMouseClickedEvent::TYPE), me->pos(),
                me->button(), me->buttons(), me->modifiers())
{
  // empty body
}

/*^*****************************************************************************
  File History:

 - 2007-09-09 10:29:39 Slobodan
   Initial version

*****************************************************************************^*/
