/*
 * @(#)QEventsAdapter.h  0.2.0 / 2007-09-09
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QEVENTSADAPTER_H
#define QEVENTSADAPTER_H

#include "JavaQxCore.h"

#include <QKeyEvent>
#include <QMouseEvent>

#include "yu_ac_bg_etf_javaqx_qswing_events_KeyEvent.h"
#include "yu_ac_bg_etf_javaqx_qswing_events_QSwingEvent.h"

/*^**************************************************************************^*/
/*- QSwingMouseClickedEvent Class.                                           -*/
/*^**************************************************************************^*/

/*!
 * \brief QSwing Key Typed Event.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QSwingKeyTypedEvent : public QKeyEvent
{
public:
  QSwingKeyTypedEvent(int key, Qt::KeyboardModifiers modifiers);
  QSwingKeyTypedEvent(QKeyEvent *ke);
public:
  static const int TYPE = QEvent::User + 1;
};

/*^**************************************************************************^*/
/*- QSwingMouseClickedEvent Class.                                           -*/
/*^**************************************************************************^*/

/*!
 * \brief QSwing Mouse Clicked Event.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class QSwingMouseClickedEvent : public QMouseEvent
{
public:
  QSwingMouseClickedEvent(const QPoint &position, Qt::MouseButton button,
                          Qt::MouseButtons buttons,
                          Qt::KeyboardModifiers modifiers);
  QSwingMouseClickedEvent(QMouseEvent *me);
public:
  static const int TYPE = QEvent::User + 2;
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define QSWING_EVENT(mask) yu_ac_bg_etf_javaqx_qswing_events_QSwingEvent_##mask

#endif //QEVENTSADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-09-09 10:29:33 Slobodan
   Initial version

*****************************************************************************^*/
