/*
 * @(#)QFontSet.h  0.2.0 / 2007-10-09
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QFONTSET_H
#define QFONTSET_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QFontSet Class.                                                          -*/
/*^**************************************************************************^*/

/*!
 * \brief Font Set.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QFontSet
{
public:
  QFontSet();
  QFontSet(const QFont &defaultFont,
           const QFont &fixedFont = QFont("Courier", 9));
  QFontSet(const QFontSet &fontSet);
public:
  const QFont &defaultFont() const;
  void setDefaultFont(const QFont &font);
  const QFont &fixedFont() const;
  void setFixedFont(const QFont &font);
  const QFont &componentFont() const;
  void setComponentFont(const QFont &font);
  const QFont &buttonFont() const;
  void setButtonFont(const QFont &font);
  const QFont &menuFont() const;
  void setMenuFont(const QFont &font);
  const QFont &menuBarFont() const;
  void setMenuBarFont(const QFont &font);
  const QFont &textFont() const;
  void setTextFont(const QFont &font);
  const QFont &toolTipFont() const;
  void setToolTipFont(const QFont &font);
private:
  QFont m_defaultFont;
  QFont m_fixedFont;
  QFont m_componentFont;
  QFont m_buttonFont;
  QFont m_menuFont;
  QFont m_menuBarFont;
  QFont m_textFont;
  QFont m_toolTipFont;
};

#endif // QFONTSET_H

/*^*****************************************************************************
  File History:

 - 2007-10-09 12:16:07 Slobodan
   Initial version

*****************************************************************************^*/
