/*
 * @(#)QLabelAdapter.h  0.2.0 / 2007-11-10
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QLABELADAPTER_H
#define QLABELADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QLabelAdapter Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief QLabel Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QLabelAdapter : public QLabel
{
public:
  QLabelAdapter();
public:
  QIcon icon() const;
  void setIcon(const QIcon &icon);
  void setIconSize(const QSize &size);
public:
  virtual QSize sizeHint() const;
protected:
  void paintEvent(QPaintEvent *e);
protected:
  QIcon m_icon;
  QSize m_iconSize;
};

#endif // QLABELADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-11-10 22:44:12 Slobodan
   Initial version

*****************************************************************************^*/
