/*
 * @(#)QSeparatorAdapter.h  0.2.0 / 2007-11-23
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QSEPARATORADAPTER_H
#define QSEPARATORADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QSeparatorAdapter Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief QSeparator Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QSeparatorAdapter : public QWidget
{
public:
  QSeparatorAdapter();
public:
  Qt::Orientation orientation() const;
  void setOrientation(Qt::Orientation orientation);
  QString text() const;
  void setText(const QString text);
  void setUseStylePalette(bool useStylePalette);
public:
  virtual QSize sizeHint() const;
protected:
  virtual void changeEvent(QEvent *e);
  virtual void paintEvent(QPaintEvent *e);
protected:
  void updateLabel();
private:
  Qt::Orientation m_orientation;
  QString m_text;
  bool m_useStylePalette;
public:
  static const int DEFAULT_SEPARATOR_EXTENT;
};

#endif // QSEPARATORADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-11-23 21:10:23 Slobodan
   Initial version

*****************************************************************************^*/
