/*
 * @(#)QSwingString.cpp  0.2.0 / 2007-09-12
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "QSwingString.h"

/*^**************************************************************************^*/
/*- QSwingString :: Public Static Member Function.                           -*/
/*^**************************************************************************^*/

/*!
 * \brief Creates new Java string using specified QString.
 *
 * \param str the QString reference
 *
 * \return Java string
 *
 * \exception OutOfMemoryError java error
 */
jstring QSwingString::toJString(const QString &str)
{
  return JNIQSwingWrapper::newString(
                reinterpret_cast<const jchar *>(str.constData()), str.length());
}

/*^*****************************************************************************
  File History:

 - 2007-09-12 20:37:08 Slobodan
   Initial version

*****************************************************************************^*/
