/*
 * @(#)QSwingString.h  0.2.0 / 2007-08-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QSWINGSTRING_H
#define QSWINGSTRING_H

#include "JavaQxCore.h"
#include "JNIQSwingWrapper.h"

/*^**************************************************************************^*/
/*- QSwingString Class.                                                      -*/
/*^**************************************************************************^*/

/*!
 * \brief QSwing String.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QSwingString : public QStringAdapter
{
public:
  inline QSwingString(jstring str);
public:
  static jstring toJString(const QString &str);
};

/*^**************************************************************************^*/
/*- QSwingString :: Inline Constructor.                                      -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new QSwingString object.
 *
 * \param str the Java string object
 */
inline QSwingString::QSwingString(jstring str)
  : QStringAdapter(QSWING_ENV, str)
{
  // empty body
}

#endif // QSWINGSTRING_H

/*^*****************************************************************************
  File History:

 - 2007-08-21 19:01:09 Slobodan
   Initial version

*****************************************************************************^*/
