/*
 * @(#)QTextArea.h  0.2.0 / 2007-12-09
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QTEXTAREAADAPTER_H
#define QTEXTAREAADAPTER_H

#include "JavaQxQSwing.h"

#include "QTextDocumentAdapter.h"

/*^**************************************************************************^*/
/*- QTextArea Class.                                                         -*/
/*^**************************************************************************^*/

class JQTextAreaBridge;

/*!
 * \brief Text Area.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QTextArea : public QTextEdit
{
  Q_OBJECT
protected:
  friend class JQTextAreaBridge;
  QTextArea(JQTextAreaBridge *bridge);
  virtual ~QTextArea();
protected:
  void setDocument(QTextDocumentAdapter *document);
  void setPaintView(bool paintView);
  void paintView(jlong graphicsPointer);
  void connectSignals();
  void disconnectSignals();
protected slots:
  void destroyingSlot();
  void valueChangedSlot(int value);
  void textClearedSlot();
  void textSetSlot();
  void textAppendedSlot();
  void copyAvailableSlot(bool available);
  void selectAllAvailableSlot(bool available);
protected:
  virtual void paintEvent(QPaintEvent *e);
private:
  QTextDocumentAdapter *m_document;
  bool m_paintView;
  JQTextAreaBridge *m_bridge;
  QPaintEvent *m_paintViewEvent;
private:
  static QTextDocument *sm_defaultDocument;
  static int sm_defaultDocumentCount;
};

#endif // QTEXTAREAADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-12-09 08:46:14 Slobodan
   Initial version

*****************************************************************************^*/
