/*
 * @(#)QTextPane.h  0.2.0 / 2007-12-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QTEXTPANE_H
#define QTEXTPANE_H

#include "JavaQxQSwing.h"

#include "QTextDocumentAdapter.h"

/*^**************************************************************************^*/
/*- QTextPane Class.                                                         -*/
/*^**************************************************************************^*/

class JQTextPaneBridge;

/*!
 * \brief Text Pane.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QTextPane : public QTextEdit
{
  Q_OBJECT
protected:
  friend class JQTextPaneBridge;
  QTextPane(JQTextPaneBridge *bridge);
  virtual ~QTextPane();
protected:
  void setDocument(QTextDocumentAdapter *document);
  void setPaintView(bool paintView);
  void paintView(jlong graphicsPointer);
  void connectSignals();
  void disconnectSignals();
protected slots:
  void destroyingSlot();
  void valueChangedSlot(int value);
  void textClearedSlot();
  void textSetSlot();
  void textAppendedSlot();
  void copyAvailableSlot(bool available);
  void selectAllAvailableSlot(bool available);
protected:
  virtual void paintEvent(QPaintEvent *e);
private:
  QTextDocumentAdapter *m_document;
  bool m_paintView;
  JQTextPaneBridge *m_bridge;
  QPaintEvent *m_paintViewEvent;
private:
  static QTextDocument *sm_defaultDocument;
  static int sm_defaultDocumentCount;
};

#endif // QTEXTPANE_H

/*^*****************************************************************************
  File History:

 - 2007-12-27 19:32:54 Slobodan
   Initial version

*****************************************************************************^*/
