/*
 * @(#)QTreeViewAdapter.h  0.2.0 / 2007-12-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QTREEVIEWADAPTER_H
#define QTREEVIEWADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QTreeViewAdapter Class.                                                  -*/
/*^**************************************************************************^*/

class JQTreeBridge;

/*!
 * \brief QTreeView Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QTreeViewAdapter : public QTreeView
{
  Q_OBJECT
public:
  QTreeViewAdapter(JQTreeBridge *bridge);
protected slots:
  void adjustSize(const QModelIndex & index);
protected:
  virtual bool event(QEvent *e);
protected:
  JQTreeBridge *m_bridge;
};

#endif // QTREEVIEWADAPTER_H


/*^*****************************************************************************
  File History:

 - 2007-12-18 09:23:05 Slobodan
   Initial version

*****************************************************************************^*/
