/*
 * @(#)QWidgetActionAdapter.cpp  0.2.0 / 2007-11-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "QWidgetActionAdapter.h"

/*^**************************************************************************^*/
/*- QWidgetActionAdapter :: Public Constructor.                              -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new QWidgetActionAdapter object.
 *
 * \param parent the parent object
 */
QWidgetActionAdapter::QWidgetActionAdapter(JQComponentBridge *parent)
  : QWidgetAction(parent)
{
  Q_ASSERT(parent);
}

/*^**************************************************************************^*/
/*- QWidgetActionAdapter :: Protected Member Function.                       -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns parent bridge.
 *
 * \return parent bridge
 */
JQComponentBridge *QWidgetActionAdapter::parentBridge()
{
  return qobject_cast<JQComponentBridge *>(parent());
}

/*^**************************************************************************^*/
/*- QWidgetActionAdapter :: Overridden Member Functions.                     -*/
/*^**************************************************************************^*/

/*!
 * \inheritDoc
 */
QWidget *QWidgetActionAdapter::createWidget(QWidget *parent)
{
  QWidget *widget = parentBridge()->qWidget();
  widget->setParent(parent);
  return widget;
}

/*!
 * \inheritDoc
 */
void QWidgetActionAdapter::deleteWidget(QWidget *widget)
{
  widget->setParent(0);
  parentBridge()->widgetActionDeleted(this);
}

/*^*****************************************************************************
  File History:

 - 2007-11-07 18:05:24 Slobodan
   Initial version

*****************************************************************************^*/
