/*
 * @(#)QWidgetActionAdapter.h  0.2.0 / 2007-11-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QWIDGETACTIONADAPTER_H
#define QWIDGETACTIONADAPTER_H

#include "JQComponentBridge.h"

/*^**************************************************************************^*/
/*- QWidgetActionAdapter Class.                                              -*/
/*^**************************************************************************^*/

/*!
 * \brief QWidget ActionAdapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QWidgetActionAdapter : public QWidgetAction
{
protected:
  friend class JQComponentBridge; // uses constructor
  QWidgetActionAdapter(JQComponentBridge *parent);
protected:
  JQComponentBridge *parentBridge();
protected:
  virtual QWidget *createWidget(QWidget *parent);
  virtual void deleteWidget(QWidget *widget);
};

#endif // QWIDGETACTIONADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-11-07 18:04:01 Slobodan
   Initial version

*****************************************************************************^*/
