/*
 * @(#)StyledDocument.h  0.2.0 / 2007-12-19
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef STYLEDDOCUMENT_H
#define STYLEDDOCUMENT_H

#include "JavaQxQSwing.h"

#include "QTextDocumentAdapter.h"

/*^**************************************************************************^*/
/*- StyledDocument Class.                                                    -*/
/*^**************************************************************************^*/

/*!
 * \brief Styled Document.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT StyledDocument : public QTextDocumentAdapter
{
public:
  StyledDocument(TextDocumentBridge *documentBridge);
public:
  virtual QString getText() const;
  virtual void setText(const QString &text);
  virtual void appendText(const QString &text);
protected:
  virtual QVariant loadResource(int type, const QUrl &name);
};

#endif // STYLEDDOCUMENT_H


/*^*****************************************************************************
  File History:

 - 2007-12-19 19:35:56 Slobodan
   Initial version

*****************************************************************************^*/
