/*
 * @(#)ContentPaneBridge.h  0.2.0 / 2007-12-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef CONTENTPANEBRIDGE_H
#define CONTENTPANEBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQContainerBridge.h"

/*^**************************************************************************^*/
/*- ContentPaneBridge Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief Content Pane Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT ContentPaneBridge : public JQContainerBridge
{
  Q_OBJECT
protected:
  ContentPaneBridge(JNIEnv *env, jobject obj);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj);
public: // native callbacks
  QSize getLayoutPreferredSize();
private:
  static jmethodID sm_getLayoutPreferredSizeMID;
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define contentPaneBridge (reinterpret_cast<ContentPaneBridge *>(bridge))

#endif //CONTENTPANEBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-12-28 22:37:50 Slobodan
   Initial version

*****************************************************************************^*/
