/*
 * @(#)FontMetricsBridge.h  0.2.0 / 2007-09-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef FONTMETRICSBRIDGE_H
#define FONTMETRICSBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- FontMetricsBridge Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief FontMetrics Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT FontMetricsBridge
{
public: // native calls
  static void getMetrics(JNIEnv *env, jobject obj, QFontMetrics *fontMetrics);
  static jint stringWidth(JNIEnv *env, jobject obj, QFontMetrics *fontMetrics,
                          jstring str);
  static void initialize(JNIEnv *env, jclass cls);
private:
  static jfieldID sm_ascentFID;
  static jfieldID sm_descentFID;
  static jfieldID sm_heightFID;
  static jfieldID sm_leadingFID;
  static jmethodID sm_stringWidthMID;
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define qFontMetrics (reinterpret_cast<QFontMetrics *>(fontMetricsPointer))

#endif //FONTMETRICSBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-09-13 10:02:26 Slobodan
   Initial version

*****************************************************************************^*/
