/*
 * @(#)JQButtonBridge.h  0.2.0 / 2007-08-16
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQBUTTONBRIDGE_H
#define JQBUTTONBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQAbstractButtonBridge.h"

/*^**************************************************************************^*/
/*- JQButtonBridge Class.                                                    -*/
/*^**************************************************************************^*/

/*!
 * \brief JQButton Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQButtonBridge : public JQAbstractButtonBridge
{
  Q_OBJECT
protected:
  JQButtonBridge(JNIEnv *env, jobject obj);
public:
  jboolean isDefault(JNIEnv *env);
  void setDefaultCapable(JNIEnv *env, jboolean defaultCapable);
  void setAutoDefault(JNIEnv *env, jboolean autoDefault);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QPushButton *qPushButton() const;
};

/*^**************************************************************************^*/
/*- JQButtonBridge :: Public Inline Member Function.                         -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QPushButton adaptee.
 *
 * \return QPushButton adaptee
 */
inline QPushButton *JQButtonBridge::qPushButton() const
{
  return static_cast<QPushButton *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqButtonBridge (reinterpret_cast<JQButtonBridge *>(bridge))

#endif //JQBUTTONBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-08-16 07:56:37 Slobodan
   Initial version

*****************************************************************************^*/
