/*
 * @(#)JQCheckBoxBridge.cpp  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "JQCheckBoxBridge.h"

#include "QCheckBoxAdapter.h"

/*^**************************************************************************^*/
/*- JQCheckBoxBridge :: Protected Constructor.                               -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new JQCheckBoxBridge object.
 *
 * \param env the JNIEnv pointer
 * \param obj the JQCheckBox object
 */
JQCheckBoxBridge::JQCheckBoxBridge(JNIEnv *env, jobject obj)
  : JQToggleButtonBridge(env, obj, new QCheckBoxAdapter())
{
  // empty constructor body
}

/*^**************************************************************************^*/
/*- JQCheckBoxBridge :: Static Native Calls.                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns new instance of the bridge object
 *
 * \param env the JNIEnv pointer
 * \param obj the QSwing object
 * 
 * \return new instance of the bridge object
 */
jlong JQCheckBoxBridge::newInstance(JNIEnv *env, jobject obj)
{
  if (JNIQSwingWrapper::isQSwingThread(env)) {
    return reinterpret_cast<jlong>(new JQCheckBoxBridge(env, obj));
  }
  return QSwingUtilitiesBridge::invokeLongAndWait(env, obj, createMID());
}

/*^*****************************************************************************
  File History:

 - 2007-11-21 17:12:40 Slobodan
   Initial version

*****************************************************************************^*/
