/*
 * @(#)JQContainerBridge.h  0.2.0 / 2007-10-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQCONTAINERBRIDGE_H
#define JQCONTAINERBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQComponentBridge.h"

/*^**************************************************************************^*/
/*- JQContainerBridge Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief JQContainer Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQContainerBridge : public JQComponentBridge
{
  Q_OBJECT
protected:
  JQContainerBridge(JNIEnv *env, jobject obj, QWidget *widget);
  JQContainerBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void insertChild(JNIEnv *env, jlong childBridge, jint index);
  void removeChild(JNIEnv *env, jlong childBridge);
  void validate(JNIEnv *env);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj);
protected slots:
  void validateSlot();
signals:
  void validateSignal();
private:
  static jmethodID sm_validateMID;
};

/*^**************************************************************************^*/
/*- Macro Definitions.                                                       -*/
/*^**************************************************************************^*/

#define jqContainerCast(bridge) (reinterpret_cast<JQContainerBridge *>(bridge))
#define jqContainerBridge jqContainerCast(bridge)

#endif //JQCONTAINERBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-10-27 14:34:00 Slobodan
   Initial version

*****************************************************************************^*/
