/*
 * @(#)JQDesktopBridge.h  0.2.0 / 2007-12-23
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQDESKTOPBRIDGE_H
#define JQDESKTOPBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- JQDesktopBridge Class.                                                   -*/
/*^**************************************************************************^*/

/*!
 * \brief JQDesktop Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQDesktopBridge
{
public: // native calls
  static jobject getScreenSize(JNIEnv *env, jclass cls);
  static int getScreenResolution(JNIEnv *env, jclass cls);
  static jobject getDesktopBounds(JNIEnv *env, jclass cls);
  static jobject takeScreenshot(JNIEnv *env, jclass cls, jlong componentBridge,
                                jstring imageFormat);
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqDesktopBridge (reinterpret_cast<JQDesktopBridge *>(bridge))

#endif //JQDESKTOPBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-12-23 09:51:03 Slobodan
   Initial version

*****************************************************************************^*/
