/*
 * @(#)JQDialogBridge.h  0.2.0 / 2007-11-29
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQDIALOGBRIDGE_H
#define JQDIALOGBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQWindowBridge.h"

/*^**************************************************************************^*/
/*- JQDialogBridge Class.                                                    -*/
/*^**************************************************************************^*/

/*!
 * \brief JQDialog Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQDialogBridge : public JQWindowBridge
{
  Q_OBJECT
protected:
  JQDialogBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  jint exec(JNIEnv *env);
  void done(JNIEnv *env, jint result);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QDialog *qDialog() const;
};

/*^**************************************************************************^*/
/*- JQDialogBridge :: Public Inline Member Function.                         -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QDialog adaptee.
 *
 * \return QDialog adaptee
 */
inline QDialog *JQDialogBridge::qDialog() const
{
  return static_cast<QDialog *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqDialogBridge (reinterpret_cast<JQDialogBridge *>(bridge))

#endif //JQDIALOGBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-29 10:26:17 Slobodan
   Initial version

*****************************************************************************^*/
