/*
 * @(#)JQFileChooserBridge.h  0.2.0 / 2007-11-29
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQFILECHOOSERBRIDGE_H
#define JQFILECHOOSERBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- JQFileChooserBridge Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief JQFileChooser Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQFileChooserBridge
{
public: // native calls
  static jstring getExistingDirectoryName(JNIEnv *env, jclass cls,
                                          jlong parentBridge, jstring caption,
                                          jstring directory);
  static jstring getOpenFileName(JNIEnv *env, jclass cls, jlong parentBridge,
                                 jstring caption, jstring directory,
                                 jstring filter, jstring selectedFilter);
  static jstring getSaveFileName(JNIEnv *env, jclass cls, jlong parentBridge,
                                 jstring caption, jstring directory,
                                 jstring filter, jstring selectedFilter);
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqFileChooserBridge (reinterpret_cast<JQFileChooserBridge *>(bridge))

#endif //JQFILECHOOSERBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-29 20:15:08 Slobodan
   Initial version

*****************************************************************************^*/
