/*
 * @(#)JQFrameBridge.h  0.2.0 / 2007-11-06
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQFRAMEBRIDGE_H
#define JQFRAMEBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQWindowBridge.h"

/*^**************************************************************************^*/
/*- JQFrameBridge Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief JQFrame Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQFrameBridge : public JQWindowBridge
{
  Q_OBJECT
protected:
  JQFrameBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setMenuBar(JNIEnv *env, jlong menuBarBridge);
  void addToolBar(JNIEnv *env, jlong toolBarBridge);
  void removeToolBar(JNIEnv *env, jlong toolBarBridge);
  void setContentPane(JNIEnv *env, jlong contentPaneBridge);
  void setStatusBar(JNIEnv *env, jlong statusBarBridge);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QMainWindow *qMainWindow() const;
};

/*^**************************************************************************^*/
/*- JQFrameBridge :: Public Inline Member Function.                          -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QMainWindow adaptee.
 *
 * \return QMainWindow adaptee
 */
inline QMainWindow *JQFrameBridge::qMainWindow() const
{
  return static_cast<QMainWindow *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqFrameBridge (reinterpret_cast<JQFrameBridge *>(bridge))

#endif //JQFRAMEBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-06 19:05:51 JavaQx Native Generator
   Initial version

*****************************************************************************^*/
