/*
 * @(#)JQLabelBridge.h  0.2.0 / 2007-07-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQLABELBRIDGE_H
#define JQLABELBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQComponentBridge.h"
#include "QLabelAdapter.h"

/*^**************************************************************************^*/
/*- JQLabelBridge Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief JQLabel Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQLabelBridge : public JQComponentBridge
{
  Q_OBJECT
protected:
  JQLabelBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setText(JNIEnv *env, jstring text);
  void setTextFormat(JNIEnv *env, jint textFormat);
  void setWordWrap(JNIEnv *env, jboolean wordWrap);
  void setAlignment(JNIEnv *env, jint ha, jint va);
  void setIcon(JNIEnv *env, jobject iconSet);
  void setIconSize(JNIEnv *env, jint width, jint height);
  void setBorderType(JNIEnv *env, jint borderType);
  void setBorderStyle(JNIEnv *env, jint borderStyle);
  void setBorderWidth(JNIEnv *env, jint borderWidth);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QLabelAdapter *qLabelAdapter() const;
};

/*^**************************************************************************^*/
/*- JQLabelBridge :: Inline Member Function.                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QLabel adaptee.
 *
 * \return QLabel adaptee
 */
inline QLabelAdapter *JQLabelBridge::qLabelAdapter() const
{
  return static_cast<QLabelAdapter *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqLabelBridge (reinterpret_cast<JQLabelBridge *>(bridge))

#endif //JQLABELBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-07-28 12:57:43 Slobodan
   Initial version

*****************************************************************************^*/
