/*
 * @(#)JQMenuBarBridge.h  0.2.0 / 2007-11-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQMENUBARBRIDGE_H
#define JQMENUBARBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQContainerBridge.h"

/*^**************************************************************************^*/
/*- JQMenuBarBridge Class.                                                   -*/
/*^**************************************************************************^*/

/*!
 * \brief JQMenuBar Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQMenuBarBridge : public JQContainerBridge
{
  Q_OBJECT
protected:
  JQMenuBarBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void insertChild(JNIEnv *env, jlong childBridge, jint index);
  void removeChild(JNIEnv *env, jlong childBridge);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QMenuBar *qMenuBar() const;
};

/*^**************************************************************************^*/
/*- JQMenuBarBridge :: Public Inline Member Function.                        -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QMenuBar adaptee.
 *
 * \return QMenuBar adaptee
 */
inline QMenuBar *JQMenuBarBridge::qMenuBar() const
{
  return static_cast<QMenuBar *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definitions.                                                       -*/
/*^**************************************************************************^*/

#define jqMenuBarCast(bridge) (reinterpret_cast<JQMenuBarBridge *>(bridge))
#define jqMenuBarBridge jqMenuBarCast(bridge)

#endif //JQMENUBARBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-07 20:56:40 Slobodan
   Initial version

*****************************************************************************^*/
