/*
 * @(#)JQMenuBridge.h  0.2.0 / 2007-11-08
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQMENUBRIDGE_H
#define JQMENUBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQContainerBridge.h"

/*^**************************************************************************^*/
/*- JQMenuBridge Class.                                                      -*/
/*^**************************************************************************^*/

/*!
 * \brief JQMenu Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQMenuBridge : public JQContainerBridge
{
  Q_OBJECT
protected:
  JQMenuBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setText(JNIEnv *env, jstring text);
  void insertChild(JNIEnv *env, jlong childBridge, jint index);
  void removeChild(JNIEnv *env, jlong childBridge);
  void show(JNIEnv *env, jint x, jint y);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QMenu *qMenu() const;
public:
  virtual QAction *qAction();
};

/*^**************************************************************************^*/
/*- JQMenuBridge :: Public Inline Member Function.                           -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QMenu adaptee.
 *
 * \return QMenu adaptee
 */
inline QMenu *JQMenuBridge::qMenu() const
{
  return static_cast<QMenu *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definitions.                                                       -*/
/*^**************************************************************************^*/

#define jqMenuCast(bridge) (reinterpret_cast<JQMenuBridge *>(bridge))
#define jqMenuBridge jqMenuCast(bridge)

#endif //JQMENUBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-08 11:02:50 Slobodan
   Initial version

*****************************************************************************^*/
