/*
 * @(#)JQPanelBridge.h  0.2.0 / 2007-10-29
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQPANELBRIDGE_H
#define JQPANELBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQContainerBridge.h"

/*^**************************************************************************^*/
/*- JQPanelBridge Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief JQPanel Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQPanelBridge : public JQContainerBridge
{
  Q_OBJECT
protected:
  JQPanelBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setPanelType(JNIEnv *env, jint panelType);
  void setBorderStyle(JNIEnv *env, jint borderStyle);
  void setBorderWidth(JNIEnv *env, jint borderWidth);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QFrame *qFrame() const;
};

/*^**************************************************************************^*/
/*- JQPanelBridge :: Public Inline Member Function.                          -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QFrame adaptee.
 *
 * \return QFrame adaptee
 */
inline QFrame *JQPanelBridge::qFrame() const
{
  return static_cast<QFrame *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqPanelBridge (reinterpret_cast<JQPanelBridge *>(bridge))

#endif //JQPANELBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-10-29 08:19:25 JavaQx Native Generator
   Initial version

*****************************************************************************^*/
