/*
 * @(#)JQProgressBarBridge.h  0.2.0 / 2007-10-29
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQPROGRESSBARBRIDGE_H
#define JQPROGRESSBARBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQComponentBridge.h"

/*^**************************************************************************^*/
/*- JQProgressBarBridge Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief JQProgressBar Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQProgressBarBridge : public JQComponentBridge
{
  Q_OBJECT
protected:
  JQProgressBarBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setModel(JNIEnv *env, jint minimum, jint maximum, jint value);
  void setValue(JNIEnv *env, jint value);
  void setMinimum(JNIEnv *env, jint minimum);
  void setMaximum(JNIEnv *env, jint maximum);
  void setOrientation(JNIEnv *env, jint orientation);
  void setProgressString(JNIEnv *env, jstring progressString);
  void setStringPainted(JNIEnv *env, jboolean paintString);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QProgressBar *qProgressBar() const;
};

/*^**************************************************************************^*/
/*- JQProgressBarBridge :: Public Inline Member Function.                    -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QProgressBar adaptee.
 *
 * \return QProgressBar adaptee
 */
inline QProgressBar *JQProgressBarBridge::qProgressBar() const
{
  return static_cast<QProgressBar *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqProgressBarBridge (reinterpret_cast<JQProgressBarBridge *>(bridge))

#endif //JQPROGRESSBARBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-10-29 08:54:07 JavaQx Native Generator
   Initial version

*****************************************************************************^*/
