/*
 * @(#)JQRadioButtonBridge.cpp  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "JQRadioButtonBridge.h"

#include "QRadioButtonAdapter.h"

/*^**************************************************************************^*/
/*- JQRadioButtonBridge :: Protected Constructor.                            -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new JQRadioButtonBridge object.
 *
 * \param env the JNIEnv pointer
 * \param obj the JQRadioButton object
 */
JQRadioButtonBridge::JQRadioButtonBridge(JNIEnv *env, jobject obj)
  : JQToggleButtonBridge(env, obj, new QRadioButtonAdapter())
{
  // empty constructor body
}

/*^**************************************************************************^*/
/*- JQRadioButtonBridge :: Static Native Calls.                              -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns new instance of the bridge object
 *
 * \param env the JNIEnv pointer
 * \param obj the QSwing object
 * 
 * \return new instance of the bridge object
 */
jlong JQRadioButtonBridge::newInstance(JNIEnv *env, jobject obj)
{
  if (JNIQSwingWrapper::isQSwingThread(env)) {
    return reinterpret_cast<jlong>(new JQRadioButtonBridge(env, obj));
  }
  return QSwingUtilitiesBridge::invokeLongAndWait(env, obj, createMID());
}

/*^*****************************************************************************
  File History:

 - 2007-11-21 17:40:23 Slobodan
   Initial version

*****************************************************************************^*/
