/*
 * @(#)JQRadioButtonBridge.h  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQRADIOBUTTONBRIDGE_H
#define JQRADIOBUTTONBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQToggleButtonBridge.h"

/*^**************************************************************************^*/
/*- JQRadioButtonBridge Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief JQRadioButton Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQRadioButtonBridge : public JQToggleButtonBridge
{
  Q_OBJECT
protected:
  JQRadioButtonBridge(JNIEnv *env, jobject obj);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QRadioButton *qRadioButton() const;
};

/*^**************************************************************************^*/
/*- JQRadioButtonBridge :: Inline Member Function.                           -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QRadioButton adaptee.
 *
 * \return QRadioButton adaptee
 */
inline QRadioButton *JQRadioButtonBridge::qRadioButton() const
{
  return static_cast<QRadioButton *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqRadioButtonBridge (reinterpret_cast<JQRadioButtonBridge *>(bridge))

#endif //JQRADIOBUTTONBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-21 17:40:23 Slobodan
   Initial version

*****************************************************************************^*/
