/*
 * @(#)JQScrollPaneBridge.h  0.2.0 / 2007-11-20
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQSCROLLPANEBRIDGE_H
#define JQSCROLLPANEBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQComponentBridge.h"

/*^**************************************************************************^*/
/*- JQScrollPaneBridge Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief JQScrollPane Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQScrollPaneBridge : public JQComponentBridge
{
  Q_OBJECT
protected:
  JQScrollPaneBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setView(JNIEnv *env, jlong viewBridge);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
protected:
  virtual bool filterResizeEvent(QObject *obj, QResizeEvent *e);
public:
  inline QScrollArea *qScrollArea() const;
private:
  JQComponentBridge *m_viewBridge;
};

/*^**************************************************************************^*/
/*- JQScrollPaneBridge :: Public Inline Member Function.                     -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QScrollArea adaptee.
 *
 * \return QScrollArea adaptee
 */
inline QScrollArea *JQScrollPaneBridge::qScrollArea() const
{
  return static_cast<QScrollArea *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqScrollPaneBridge (reinterpret_cast<JQScrollPaneBridge *>(bridge))

#endif //JQSCROLLPANEBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-20 19:37:52 Slobodan
   Initial version

*****************************************************************************^*/
