/*
 * @(#)JQSliderBridge.h  0.2.0 / 2007-11-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQSLIDERBRIDGE_H
#define JQSLIDERBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQComponentBridge.h"

/*^**************************************************************************^*/
/*- JQSliderBridge Class.                                                    -*/
/*^**************************************************************************^*/

/*!
 * \brief JQSlider Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQSliderBridge : public JQComponentBridge
{
  Q_OBJECT
protected:
  JQSliderBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setModel(JNIEnv *env, jint minimum, jint maximum, jint value);
  void setValue(JNIEnv *env, jint value);
  void setMinimum(JNIEnv *env, jint minimum);
  void setMaximum(JNIEnv *env, jint maximum);
  void setOrientation(JNIEnv *env, jint orientation);
  void setTickPosition(JNIEnv *env, jint tickPosition);
  void setTickSpacing(JNIEnv *env, jint tickSpacing);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj);
public: // native callbacks
  void valueChanged(jint value);
  void valueIsAdjusting(jboolean adjusting);
protected slots:
  void valueChangedSlot(int value);
  void sliderPressedSlot();
  void sliderReleasedSlot();
public:
  inline QSlider *qSlider() const;
private:
  static jmethodID sm_valueChangedMID;
  static jmethodID sm_valueIsAdjustingMID;
};

/*^**************************************************************************^*/
/*- JQSliderBridge :: Public Inline Member Function.                         -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QSlider adaptee.
 *
 * \return QSlider adaptee
 */
inline QSlider *JQSliderBridge::qSlider() const
{
  return static_cast<QSlider *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqSliderBridge (reinterpret_cast<JQSliderBridge *>(bridge))

#endif //JQSLIDERBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-04 23:07:33 JavaQx Native Generator
   Initial version

*****************************************************************************^*/
