/*
 * @(#)JQSplitPaneBridge.h  0.2.0 / 2007-12-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQSPLITPANEBRIDGE_H
#define JQSPLITPANEBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQComponentBridge.h"
#include "QSplitterAdapter.h"

/*^**************************************************************************^*/
/*- JQSplitPaneBridge Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief JQSplitPane Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQSplitPaneBridge : public JQComponentBridge
{
  Q_OBJECT
protected:
  JQSplitPaneBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setLeftComponent(JNIEnv *env, jlong componentBridge);
  void setRightComponent(JNIEnv *env, jlong componentBridge);
  void setOrientation(JNIEnv *env, jint orientation);
  void setContinuousLayout(JNIEnv *env, jboolean continuousLayout);
  void setResizeWeight(JNIEnv *env, jdouble resizeWeight);
  jint getDividerSize(JNIEnv *env);
  void setDividerSize(JNIEnv *env, jint dividerSize);
  void setDividerLocation(JNIEnv *env, jint dividerLocation);
  void setOneTouchExpandable(JNIEnv *env, jboolean oneTouchExpandable);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj);
public: // native callbacks
  void dividerLocationChanged(jint dividerLocation);
public:
  inline QSplitterAdapter *qSplitterAdapter() const;
protected slots:
  void splitterMovedSlot(int position, int index);
private:
  static jmethodID sm_dividerLocationChangedMID;
};

/*^**************************************************************************^*/
/*- JQSplitPaneBridge :: Public Inline Member Function.                      -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QSplitterAdapter adaptee.
 *
 * \return QSplitterAdapter adaptee
 */
inline QSplitterAdapter *JQSplitPaneBridge::qSplitterAdapter() const
{
  return static_cast<QSplitterAdapter *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqSplitPaneBridge (reinterpret_cast<JQSplitPaneBridge *>(bridge))

#endif //JQSPLITPANEBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-12-04 20:30:14 Slobodan
   Initial version

*****************************************************************************^*/
