/*
 * @(#)JQTabbedPaneBridge.h  0.2.0 / 2007-11-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTABBEDPANEBRIDGE_H
#define JQTABBEDPANEBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQContainerBridge.h"

/*^**************************************************************************^*/
/*- JQTabbedPaneBridge Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief JQTabbedPane Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQTabbedPaneBridge : public JQContainerBridge
{
  Q_OBJECT
protected:
  JQTabbedPaneBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void insertTab(JNIEnv *env, jlong tabBridge, jint index, jstring title);
  void removeChild(JNIEnv *env, jlong childBridge);
  void setTabPlacement(JNIEnv *env, jint tabPlacement);
  void setTabEnabled(JNIEnv *env, jint index, jboolean enabled);
  void setTabTitleText(JNIEnv *env, jint index, jstring titleText);
  void setTabToolTipText(JNIEnv *env, jint index, jstring toolTipText);
  void setTabWhatsThisText(JNIEnv *env, jint index, jstring whatsThisText);
  void setTabIcon(JNIEnv *env, jint index, jobject iconSet);
  void setCurrentIndex(JNIEnv *env, jint index);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj);
public: // native callbacks
  void currentChanged(jint selectedIndex);
public:
  inline QTabWidget *qTabWidget() const;
protected slots:
  void currentChangedSlot(int index);
private:
  static jmethodID sm_currentChangedMID;
};

/*^**************************************************************************^*/
/*- JQTabbedPaneBridge :: Public Inline Member Function.                     -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QTabWidget adaptee.
 *
 * \return QTabWidget adaptee
 */
inline QTabWidget *JQTabbedPaneBridge::qTabWidget() const
{
  return static_cast<QTabWidget *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqTabbedPaneBridge (reinterpret_cast<JQTabbedPaneBridge *>(bridge))

#endif //JQTABBEDPANEBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-18 18:39:57 Slobodan
   Initial version

*****************************************************************************^*/
