/*
 * @(#)JQTextFieldBridge.h  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTEXTFIELDBRIDGE_H
#define JQTEXTFIELDBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQComponentBridge.h"

/*^**************************************************************************^*/
/*- JQTextFieldBridge Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief JQTextField Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQTextFieldBridge : public JQComponentBridge
{
  Q_OBJECT
protected:
  JQTextFieldBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  jstring getText(JNIEnv *env);
  void setText(JNIEnv *env, jstring text);
  void setHorizontalAlignment(JNIEnv *env, jint alignment);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj);
public: // native callbacks
  void returnPressed(jint modifiers);
public:
  inline QLineEdit *qLineEdit() const;
protected slots:
  void returnPressedSlot();
private:
  static jmethodID sm_returnPressedMID;
};

/*^**************************************************************************^*/
/*- JQTextFieldBridge :: Inline Member Function.                             -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QLineEdit adaptee.
 *
 * \return QLineEdit adaptee
 */
inline QLineEdit *JQTextFieldBridge::qLineEdit() const
{
  return static_cast<QLineEdit *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqTextFieldBridge (reinterpret_cast<JQTextFieldBridge *>(bridge))

#endif //JQTEXTFIELDBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-21 19:22:48 Slobodan
   Initial version

*****************************************************************************^*/
