/*
 * @(#)JQTimerBridge.h  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTIMERBRIDGE_H
#define JQTIMERBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- JQTimerBridge Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief JQTimer Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQTimerBridge : public QObject
{
  Q_OBJECT
protected: // native calls
  JQTimerBridge(JNIEnv *env, jobject obj, jint delay, jint initialDelay,
                jboolean singleShot);
  virtual ~JQTimerBridge();
public slots: // native calls
  void destroy(JNIEnv *env);
  void setInterval(JNIEnv *env, jint interval);
  void setSingleShot(JNIEnv *env, jboolean singleShot);
public: // native calls
  static void initialize(JNIEnv *env, jclass cls);
  static jlong newInstance(JNIEnv *env, jobject obj, jint delay,
                           jint initialDelay, jboolean singleShot);
protected slots: // native callbacks
  void timeout();
private:
  jweak m_objref;
  QTimer m_timer;
private:
  static jmethodID sm_createMID;
  static jmethodID sm_timeoutMID;
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqTimerBridge (reinterpret_cast<JQTimerBridge *>(bridge))

#endif //JQTIMERBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-09-05 17:42:41 JavaQx Native Generator
   Initial version

*****************************************************************************^*/
