/*
 * @(#)JQToggleButtonBridge.h  0.2.0 / 2007-10-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTOGGLEBUTTONBRIDGE_H
#define JQTOGGLEBUTTONBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQAbstractButtonBridge.h"

/*^**************************************************************************^*/
/*- JQToggleButtonBridge Class.                                              -*/
/*^**************************************************************************^*/

/*!
 * \brief JQToggleButton Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQToggleButtonBridge : public JQAbstractButtonBridge
{
  Q_OBJECT
protected:
  JQToggleButtonBridge(JNIEnv *env, jobject obj, QAbstractButton *button);
  JQToggleButtonBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setSelected(JNIEnv *env, jboolean selected);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QPushButton *qToggleButton() const;
};

/*^**************************************************************************^*/
/*- JQToggleButtonBridge :: Public Inline Member Function.                   -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QPushButton adaptee.
 *
 * \return QPushButton adaptee
 */
inline QPushButton *JQToggleButtonBridge::qToggleButton() const
{
  return static_cast<QPushButton *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqToggleButtonBridge (reinterpret_cast<JQToggleButtonBridge *>(bridge))

#endif //JQTOGGLEBUTTONBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-10-26 18:03:56 Slobodan
   Initial version

*****************************************************************************^*/
