/*
 * @(#)JQToggleToolButtonBridge.h  0.2.0 / 2007-11-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTOGGLETOOLBUTTONBRIDGE_H
#define JQTOGGLETOOLBUTTONBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQToggleButtonBridge.h"

/*^**************************************************************************^*/
/*- JQToggleToolButtonBridge Class.                                          -*/
/*^**************************************************************************^*/

/*!
 * \brief JQToggleToolButton Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQToggleToolButtonBridge : public JQToggleButtonBridge
{
  Q_OBJECT
protected:
  JQToggleToolButtonBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setMenu(JNIEnv *env, jlong menuBridge);
  void setPopupMode(JNIEnv *env, jint popupMode);
  void setToolButtonStyle(JNIEnv *env, jint toolButtonStyle);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QToolButton *qToggleToolButton() const;
};

/*^**************************************************************************^*/
/*- JQToggleToolButtonBridge :: Public Inline Member Function.               -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QToolButton adaptee.
 *
 * \return QToolButton adaptee
 */
inline QToolButton *JQToggleToolButtonBridge::qToggleToolButton() const
{
  return static_cast<QToolButton *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqToggleToolButtonBridge \
    (reinterpret_cast<JQToggleToolButtonBridge *>(bridge))

#endif //JQTOGGLETOOLBUTTONBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-18 09:47:08 Slobodan
   Initial version

*****************************************************************************^*/
