/*
 * @(#)JQToolButtonBridge.h  0.2.0 / 2007-11-12
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTOOLBUTTONBRIDGE_H
#define JQTOOLBUTTONBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQAbstractButtonBridge.h"

/*^**************************************************************************^*/
/*- JQToolButtonBridge Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief JQToolButton Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQToolButtonBridge : public JQAbstractButtonBridge
{
  Q_OBJECT
protected:
  JQToolButtonBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setMenu(JNIEnv *env, jlong menuBridge);
  void setPopupMode(JNIEnv *env, jint popupMode);
  void setToolButtonStyle(JNIEnv *env, jint toolButtonStyle);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline QToolButton *qToolButton() const;
};

/*^**************************************************************************^*/
/*- JQToolButtonBridge :: Public Inline Member Function.                     -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns QToolButton adaptee.
 *
 * \return QToolButton adaptee
 */
inline QToolButton *JQToolButtonBridge::qToolButton() const
{
  return static_cast<QToolButton *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqToolButtonBridge (reinterpret_cast<JQToolButtonBridge *>(bridge))

#endif //JQTOOLBUTTONBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-12 10:36:16 Slobodan
   Initial version

*****************************************************************************^*/
