/*
 * @(#)JQToolTipBridge.h  0.2.0 / 2007-12-01
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTOOLTIPBRIDGE_H
#define JQTOOLTIPBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- JQToolTipBridge Class.                                                   -*/
/*^**************************************************************************^*/

/*!
 * \brief JQToolTip Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQToolTipBridge
{
public: // native calls
  static void setEnabled(JNIEnv *env, jclass cls, jboolean enabled);
  static void setFont(JNIEnv *env, jclass cls, jobject font);
  static void setBackground(JNIEnv *env, jclass cls, jint argb);
  static void setNullBackground(JNIEnv *env, jclass cls);
  static void setForeground(JNIEnv *env, jclass cls, jint argb);
  static void setNullForeground(JNIEnv *env, jclass cls);
  static void showText(JNIEnv *env, jclass cls, jstring text, jint x, jint y,
                       jlong componentBridge);
  static void hideText(JNIEnv *env, jclass cls);
public:
  inline static bool toolTipsEnabled();
private:
  static bool sm_enabled;
};

/*^**************************************************************************^*/
/*- JQToolTipBridge :: Public Static Inline Member Function.                 -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns \c true if the tooltips are enabled.
 *
 * \return \c true if the tooltips are enabled
 */
inline bool JQToolTipBridge::toolTipsEnabled()
{
  return sm_enabled;
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqToolTipBridge (reinterpret_cast<JQToolTipBridge *>(bridge))

#endif //JQTOOLTIPBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-12-01 14:37:05 Slobodan
   Initial version

*****************************************************************************^*/
