/*
 * @(#)JQToolWindowBridge.cpp  0.2.0 / 2007-11-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "JQToolWindowBridge.h"

/*^**************************************************************************^*/
/*- JQToolWindowBridge :: Protected Constructor.                             -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new JQToolWindowBridge object.
 *
 * \param env the JNIEnv pointer
 * \param obj the JQToolWindow object
 */
JQToolWindowBridge::JQToolWindowBridge(JNIEnv *env, jobject obj)
  : JQWindowBridge(env, obj, new QWidget(0, Qt::Tool))
{
  // empty method
}

/*^**************************************************************************^*/
/*- JQToolWindowBridge :: Static Native Calls.                               -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns new instance of the bridge object
 *
 * \param env the JNIEnv pointer
 * \param obj the QSwing object
 * 
 * \return new instance of the bridge object
 */
jlong JQToolWindowBridge::newInstance(JNIEnv *env, jobject obj)
{
  if (JNIQSwingWrapper::isQSwingThread(env)) {
    return reinterpret_cast<jlong>(new JQToolWindowBridge(env, obj));
  }
  return QSwingUtilitiesBridge::invokeLongAndWait(env, obj, createMID());
}

/*^*****************************************************************************
  File History:

 - 2007-11-03 18:14:24 Slobodan
   Initial version

*****************************************************************************^*/
