/*
 * @(#)PlainDocumentBridge.cpp  0.2.0 / 2007-12-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "PlainDocumentBridge.h"

/*^**************************************************************************^*/
/*- PlainDocumentBridge :: Protected Constructor.                            -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new PlainDocumentBridge object.
 *
 * \param env the JNIEnv pointer
 * \param obj the PlainDocument object
 */
PlainDocumentBridge::PlainDocumentBridge(JNIEnv *env, jobject obj)
  : TextDocumentBridge(env, obj, new PlainDocument(this))
{
  // empty constructor body
}

/*^**************************************************************************^*/
/*- PlainDocumentBridge :: Static Native Calls.                              -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns new instance of the bridge object
 *
 * \param env the JNIEnv pointer
 * \param obj the QSwing object
 * 
 * \return new instance of the bridge object
 */
jlong PlainDocumentBridge::newInstance(JNIEnv *env, jobject obj)
{
  if (JNIQSwingWrapper::isQSwingThread(env)) {
    return reinterpret_cast<jlong>(new PlainDocumentBridge(env, obj));
  }
  return QSwingUtilitiesBridge::invokeLongAndWait(env, obj, createMID());
}

/*^*****************************************************************************
  File History:

 - 2007-12-11 23:14:23 Slobodan
   Initial version

*****************************************************************************^*/
