/*
 * @(#)PlainDocumentBridge.h  0.2.0 / 2007-12-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef PLAINDOCUMENTBRIDGE_H
#define PLAINDOCUMENTBRIDGE_H

#include "JavaQxQSwing.h"

#include "PlainDocument.h"
#include "TextDocumentBridge.h"

/*^**************************************************************************^*/
/*- PlainDocumentBridge Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief Plain Document Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT PlainDocumentBridge : public TextDocumentBridge
{
  Q_OBJECT
protected:
  PlainDocumentBridge(JNIEnv *env, jobject obj);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
public:
  inline PlainDocument *plainDocument() const;
};

/*^**************************************************************************^*/
/*- PlainDocumentBridge :: Inline Member Function.                           -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns PlainDocument adaptee.
 *
 * \return PlainDocument adaptee
 */
inline PlainDocument *PlainDocumentBridge::plainDocument() const
{
  return static_cast<PlainDocument *>(qObject());
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define plainDocumentBridge (reinterpret_cast<PlainDocumentBridge *>(bridge))

#endif //PLAINDOCUMENTBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-12-11 23:14:23 Slobodan
   Initial version

*****************************************************************************^*/
