/*
 * @(#)QApplicationBridge.h  0.2.0 / 2007-05-01
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QAPPLICATIONBRIDGE_H
#define QAPPLICATIONBRIDGE_H

#include "JavaQxQSwing.h"

#include "QApplicationAdapter.h"

/*^**************************************************************************^*/
/*- QApplicationBridge Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief QApplication Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QApplicationBridge
{
public:
  static void initialize(JNIEnv *env, jobjectArray args);
  static void dispose();
  static jint keyboardModifiers();
  static jint mouseButtons();
  static bool argvContains(const char *str);
  static bool argvContains(const char *str, int len);
public:
  inline static int argc();
  inline static char **argv();
  inline static QApplicationAdapter *qAppAdapterInstance();
private:
  static int sm_argc;
  static char **sm_argv;
  static QApplicationAdapter *qApplicationAdapter;
};

/*^**************************************************************************^*/
/*- QApplicationBridge :: Public Static Inline Member Functions.             -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns argc.
 *
 * \return argc
 */
inline int QApplicationBridge::argc()
{
  return sm_argc;
}

/*!
 * \brief Returns argv.
 *
 * \return argv
 */
inline char **QApplicationBridge::argv()
{
  return sm_argv;
}

/*!
 * \brief Returns QApplicationAdapter instance.
 *
 * \return QApplicationAdapter instance
 */
inline QApplicationAdapter *QApplicationBridge::qAppAdapterInstance()
{
  return qApplicationAdapter;
}

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define qAppAdapter (QApplicationBridge::qAppAdapterInstance())

#endif // QAPPLICATIONBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-05-01 18:35:17 Slobodan
   Initial version

*****************************************************************************^*/
