/*
 * @(#)QSwingImageBridge.h  0.2.0 / 2007-09-14
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QSWINGIMAGEBRIDGE_H
#define QSWINGIMAGEBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QSwingImageBridge Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief QSwingImage Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QSwingImageBridge
{
public: // native calls
  static jlong createImage(JNIEnv *env);
  static jlong createImage(JNIEnv *env, jobject obj, jbyteArray imageData,
                           jint lenght);
  static jobject createScaled(JNIEnv *env, jlong imagePointer, jint width,
                              jint height, jint hints, jstring format);
  static void initialize(JNIEnv *env, jclass cls);
public:
  static jobject newInstance(const QPixmap &pixmap, jstring format);
  static QPixmap *createDisabledPixmap(QPixmap *pm);
  static bool loadImage(JNIEnv *env, jbyteArray imageData, jint length,
                        QPixmap *pixmap);
private:
  static jclass sm_imageClass;
  static jmethodID sm_constructorMID;
  static jfieldID sm_widthFID;
  static jfieldID sm_heightFID;
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define qSwingImage (reinterpret_cast<QPixmap *>(imagePointer))

#endif //QSWINGIMAGEBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-09-14 12:50:39 Slobodan
   Initial version

*****************************************************************************^*/
