/*
 * @(#)SplashScreenBridge.cpp  0.2.0 / 2007-11-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "SplashScreenBridge.h"

/*^**************************************************************************^*/
/*- SplashScreenBridge :: Protected Constructor.                             -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new SplashScreenBridge object.
 *
 * \param env the JNIEnv pointer
 * \param obj the SplashScreen object
 */
SplashScreenBridge::SplashScreenBridge(JNIEnv *env, jobject obj)
  : JQWindowBridge(env, obj, new QWidget(0, Qt::SplashScreen))
{
  // empty constructor body
}

/*^**************************************************************************^*/
/*- SplashScreenBridge :: Static Native Calls.                               -*/
/*^**************************************************************************^*/

/*!
 * \brief Returns new instance of the bridge object
 *
 * \param env the JNIEnv pointer
 * \param obj the QSwing object
 * 
 * \return new instance of the bridge object
 */
jlong SplashScreenBridge::newInstance(JNIEnv *env, jobject obj)
{
  if (JNIQSwingWrapper::isQSwingThread(env)) {
    return reinterpret_cast<jlong>(new SplashScreenBridge(env, obj));
  }
  return QSwingUtilitiesBridge::invokeLongAndWait(env, obj, createMID());
}

/*^*****************************************************************************
  File History:

 - 2007-11-03 18:28:07 Slobodan
   Initial version

*****************************************************************************^*/
