/*
 * @(#)StyledDocumentBridge.h  0.2.0 / 2007-12-19
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef STYLEDDOCUMENTBRIDGE_H
#define STYLEDDOCUMENTBRIDGE_H

#include "JavaQxQSwing.h"

#include "TextDocumentBridge.h"

/*^**************************************************************************^*/
/*- StyledDocumentBridge Class.                                              -*/
/*^**************************************************************************^*/

/*!
 * \brief Styled Document Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT StyledDocumentBridge : public TextDocumentBridge
{
  Q_OBJECT
protected:
  StyledDocumentBridge(JNIEnv *env, jobject obj);
public slots: // native calls
  void setWordWrap(JNIEnv *env, jboolean wrapText);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define styledDocumentBridge (reinterpret_cast<StyledDocumentBridge *>(bridge))

#endif //STYLEDDOCUMENTBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-12-19 19:33:13 Slobodan
   Initial version

*****************************************************************************^*/
