/*
 * @(#)DimensionObject.h  0.2.0 / 2007-11-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef DIMENSIONOBJECT_H
#define DIMENSIONOBJECT_H

#include "JavaQxCore.h"

/*^**************************************************************************^*/
/*- DimensionObject Class.                                                   -*/
/*^**************************************************************************^*/

/*!
 * \brief Dimension Object.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT DimensionObject : public GlobalJObject
{
public:
  DimensionObject(JNIEnv *env, jobject obj);
public:
  bool getWidth(jint &result);
  bool getWidth(JNIEnv *env, jint &result);
  bool getHeight(jint &result);
  bool getHeight(JNIEnv *env, jint &result);
public:
  static void initialize(JNIEnv *env, jclass cls);
  static jobject newObject(jint width, jint height);
private:
  static jclass sm_dimensionClass;
  static jmethodID sm_constructorMID;
  static jmethodID sm_getWidthMID;
  static jmethodID sm_getHeightMID;
};

#endif // DIMENSIONOBJECT_H

/*^*****************************************************************************
  File History:

 - 2007-11-11 13:37:35 Slobodan
   Initial version

*****************************************************************************^*/
