/*
 * @(#)RectangleObject.h  0.2.0 / 2007-12-24
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef RECTANGLEOBJECT_H
#define RECTANGLEOBJECT_H

#include "JavaQxCore.h"

/*^**************************************************************************^*/
/*- RectangleObject Class.                                                   -*/
/*^**************************************************************************^*/

/*!
 * \brief Rectangle Object.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT RectangleObject : public GlobalJObject
{
public:
  RectangleObject(JNIEnv *env, jobject obj);
public:
  bool getX(jint &result);
  bool getX(JNIEnv *env, jint &result);
  bool getY(jint &result);
  bool getY(JNIEnv *env, jint &result);
  bool getWidth(jint &result);
  bool getWidth(JNIEnv *env, jint &result);
  bool getHeight(jint &result);
  bool getHeight(JNIEnv *env, jint &result);
public:
  static void initialize(JNIEnv *env, jclass cls);
  static jobject newObject(jint x, jint y, jint width, jint height);
private:
  static jclass sm_rectangleClass;
  static jmethodID sm_constructorMID;
  static jmethodID sm_getXMID;
  static jmethodID sm_getYMID;
  static jmethodID sm_getWidthMID;
  static jmethodID sm_getHeightMID;
};

#endif // RECTANGLEOBJECT_H

/*^*****************************************************************************
  File History:

 - 2007-12-24 22:45:57 Slobodan
   Initial version

*****************************************************************************^*/
