/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_QSwingGraphics.cpp  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_QSwingGraphics.h"

#include "JQComponentBridge.h"
#include "QSwingGraphics.h"
#include "QSwingImageBridge.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.QSwingGraphics
 */

/*^**************************************************************************^*/
/*- QSwingGraphics Native Methods.                                           -*/
/*^**************************************************************************^*/

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1getColor
  (JNIEnv *env, jobject, jlong graphicsPointer)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    return qSwingGraphics->getColor();
  }
  return 0;
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1setColor
  (JNIEnv *env, jobject, jlong graphicsPointer, jint argb)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->setColor(argb);
  }
}

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1getFont
  (JNIEnv *env, jobject, jlong graphicsPointer)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    return qSwingGraphics->getFont();
  }
  return 0;
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1setFont
  (JNIEnv *env, jobject, jlong graphicsPointer, jobject font)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->setFont(font);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1setLinearGradient
  (JNIEnv *env, jobject, jlong graphicsPointer, jint x1, jint y1, jint argb1,
   jint x2, jint y2, jint argb2, jboolean cyclic)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->setLinearGradient(x1, y1, argb1, x2, y2, argb2, cyclic);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1setTextureGradient
  (JNIEnv *env, jobject, jlong graphicsPointer, jlong imagePointer)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->setTextureGradient(qSwingImage);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1setBasicStroke
  (JNIEnv *env, jobject, jlong graphicsPointer, jfloat width, jint cap,
   jint join, jfloat miterLimit, jfloatArray dash, jfloat dashPhase)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->setBasicStroke(width, cap, join, miterLimit, dash,
                                   dashPhase);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1drawPath
  (JNIEnv *env, jobject, jlong graphicsPointer, jlong painterPathPointer)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->drawPath(*qPainterPath);
    delete qPainterPath;
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1drawLine
  (JNIEnv *env, jobject, jlong graphicsPointer, jint x1, jint y1, jint x2,
   jint y2)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->drawLine(x1, y1, x2, y2);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1drawRect
  (JNIEnv *env, jobject, jlong graphicsPointer, jint x, jint y, jint width,
   jint height)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->drawRect(x, y, width, height);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1drawOval
  (JNIEnv *env, jobject, jlong graphicsPointer, jint x, jint y, jint width,
   jint height)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->drawEllipse(x, y, width, height);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1drawString
  (JNIEnv *env, jobject, jlong graphicsPointer, jstring str, jint x, jint y)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->drawText(x, y, QStringAdapter(env, str));
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1drawImage__JJII
  (JNIEnv *env, jobject, jlong graphicsPointer, jlong imagePointer, jint x,
   jint y)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->drawPixmap(x, y, *qSwingImage);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1drawImage__J_3BIII
  (JNIEnv *env, jobject, jlong graphicsPointer, jbyteArray imageData,
   jint length, jint x, jint y)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->drawImage(imageData, length, x, y);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1fillPath
  (JNIEnv *env, jobject, jlong graphicsPointer, jlong painterPathPointer)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->fillPath(*qPainterPath, qSwingGraphics->pen().brush());
    delete qPainterPath;
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1fillRect
  (JNIEnv *env, jobject, jlong graphicsPointer, jint x, jint y, jint width,
   jint height)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->fillRect(x, y, width, height);
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1fillOval
  (JNIEnv *env, jobject, jlong graphicsPointer, jint x, jint y, jint width,
   jint height)
{
  if (QSwingGraphics::canPaint(env, graphicsPointer)) {
    qSwingGraphics->fillOval(x, y, width, height);
  }
}

/*^**************************************************************************^*/
/*- Painter Path Methods.                                                    -*/
/*^**************************************************************************^*/

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1createPainterPath
  (JNIEnv *, jclass)
{
  return reinterpret_cast<jlong>(new QPainterPath());
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1setPainterFillRule
  (JNIEnv *, jclass, jlong painterPathPointer, jint fillRule)
{
  qPainterPath->setFillRule(Qt::FillRule(fillRule)); // painterPathPointer != 0
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1painterPathMoveTo
  (JNIEnv *, jclass, jlong painterPathPointer, jint x, jint y)
{
  qPainterPath->moveTo(x, y); // painterPathPointer != 0
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1painterPathLineTo
  (JNIEnv *, jclass, jlong painterPathPointer, jint x, jint y)
{
  qPainterPath->lineTo(x, y); // painterPathPointer != 0
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1painterPathQuadTo
  (JNIEnv *, jclass, jlong painterPathPointer, jint cx, jint cy, jint ex,
   jint ey)
{
  qPainterPath->quadTo(cx, cy, ex, ey); // painterPathPointer != 0
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1painterPathCubicTo
  (JNIEnv *, jclass, jlong painterPathPointer, jint c1x, jint c1y, jint c2x,
   jint c2y, jint ex, jint ey)
{
  qPainterPath->cubicTo(c1x, c1y, c2x, c2y, ex, ey); // painterPathPointer != 0
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingGraphics__1painterPathClose
  (JNIEnv *, jclass, jlong painterPathPointer)
{
  qPainterPath->closeSubpath(); // painterPathPointer != 0
}

/*^*****************************************************************************
  File History:

 - 2007-09-05 17:35:23 Slobodan
   Initial version

*****************************************************************************^*/
