/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_graphics_Font.cpp  0.2.0 / 2007-09-15
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_graphics_Font.h"

#include "FontMetricsBridge.h"
#include "QFontAdapter.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.graphics.Font
 */

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_Font__1create
  (JNIEnv *env, jobject obj, jstring name, jint style, jint size)
{
  return QFontAdapter::newInstance(env, obj, name, style, size);
}

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_Font__1createFontMetrics
  (JNIEnv *env, jobject obj, jlong fontPonter)
{
  return QFontAdapter::newFontMetricsInstance(env, obj, fontPonter);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_Font__1destroy
  (JNIEnv *, jobject, jlong fontPonter)
{
  delete qFontAdapter;
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_Font__1destroyFontMetrics
  (JNIEnv *, jobject, jlong fontMetricsPointer)
{
  delete qFontMetrics;
}

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_Font__1getDefaultFontName
  (JNIEnv *env, jclass cls)
{
  return QFontAdapter::getDefaultFontName(env, cls);
}

/*^*****************************************************************************
  File History:

 - 2007-09-15 14:35:34 Slobodan
   Initial version

*****************************************************************************^*/
