#/*!
# * @(#)native.pri  0.2.0 / 2007-05-20
# *
# * Copyright (c) 2007, ETF and contributors. All rights reserved.
# *
# * The contents of this file are licensed under the LGPL, version 2.1, license.
# * A copy of the license is included in the file LICENSE-LGPL.txt.
# */

#/*^*************************************************************************^*/
#/*- JavaQx :: Header files.                                                 -*/
#/*^*************************************************************************^*/

HEADERS += ./main/JavaQxCommon.h \
    ./main/core/JavaQxCore.h \
    ./main/core/adapter/*.h \
    ./main/core/bridge/*.h \
    ./main/core/jni/*.h \
    ./main/qswing/JavaQxQSwing.h \
    ./main/qswing/adapter/*.h \
    ./main/qswing/bridge/*.h \
    ./main/qswing/jni/*.h \
    ./main/qswing/styles/QStyleManager.h \
    ./main/qswing/styles/QWindowsClassicStyle.h \
    ./main/opengl/JavaQxOpenGL.h \
    ./main/opengl/adapter/*.h \
    ./main/opengl/bridge/*.h \
    ./main/opengl/jni/*.h   

win32 {
  HEADERS += ./main/qswing/styles/QWindowsNativeStyle.h
}

test {
  HEADERS += ./main/nunit/JavaQxNUnit.h \
      ./main/nunit/*.h \
      ./main/nunit/jni/*.h \
      ./test/core/adapter/*.h \
      ./test/core/jni/*.h \
	  ./test/qswing/adapter/*.h
}

contains(DEFINES, USE_PLATFORM_CODE) {
  HEADERS += ./main/platform/JavaQxPlatform.h
  win32 {
    HEADERS += ./main/platform/win32/JavaQxWin32.h
  }
}


#/*^*************************************************************************^*/
#/*- JavaQx :: Source files.                                                 -*/
#/*^*************************************************************************^*/

SOURCES += ./main/JavaQxCommon.cpp \
    ./main/core/JavaQxCore.cpp \
    ./main/core/adapter/*.cpp \
    ./main/core/bridge/*.cpp \
    ./main/core/jni/*.cpp \
    ./main/qswing/adapter/*.cpp \
    ./main/qswing/bridge/*.cpp \
    ./main/qswing/jni/*.cpp \
    ./main/qswing/styles/QStyleManager.cpp \
    ./main/qswing/styles/QWindowsClassicStyle.cpp \
    ./main/opengl/adapter/*.cpp \
    ./main/opengl/bridge/*.cpp \
    ./main/opengl/jni/*.cpp

win32 {
  SOURCES += ./main/qswing/styles/QWindowsNativeStyle.cpp
}

test {
  SOURCES += ./main/nunit/NativeTest.cpp \
      ./main/nunit/*.cpp \
      ./main/nunit/jni/*.cpp \
      ./test/core/adapter/*.cpp \
      ./test/core/jni/*.cpp \
      ./test/qswing/adapter/*.cpp
}

contains(DEFINES, USE_PLATFORM_CODE) {
  win32 {
    SOURCES += ./main/platform/win32/JavaQxWin32.cpp
  }
}

#/*^****************************************************************************
#  File History:
#
# - 2007-04-17 15:43:22 Slobodan
#   Initial version
#
#****************************************************************************^*/
