#/*!
# * @(#)native.pro  0.2.0 / 2007-04-13
# *
# * Copyright (c) 2007, ETF and contributors. All rights reserved.
# *
# * The contents of this file are licensed under the LGPL, version 2.1, license.
# * A copy of the license is included in the file LICENSE-LGPL.txt.
# */

# Note: Define NO_PLATFORM_CODE if you don't want to use platform-specific code.
# DEFINES += NO_PLATFORM_CODE

message("native.pro project file")

#/*^*************************************************************************^*/
#/*- JavaQx :: Project File.                                                 -*/
#/*^*************************************************************************^*/

TEMPLATE = lib
QT += opengl
TARGET = yu-ac-bg-etf-javaqx

win32 {
  DESTDIR = temp
} else {
  DESTDIR = ../../bin
  VERSION = 0.2.0
}

DEPENDPATH += .

MOC_DIR += ./temp/moc/release
OBJECTS_DIR += ./temp/obj/release

RESOURCES = ./main/qswing/resources/JavaQxQSwing.qrc

CONFIG += release
#CONFIG += release test
#CONFIG += dll # for static linking

debug {
  #DEFINES += JAVAQX_DEBUG
}

#/*^*************************************************************************^*/
#/*- JavaQx :: Platform-Specific Files.                                      -*/
#/*^*************************************************************************^*/

win32 {
  !contains(DEFINES, NO_PLATFORM_CODE) {
    DEFINES += USE_PLATFORM_CODE
    INCLUDEPATH += ./main/platform/win32
  }
  LFLAGS += -Wl,--add-stdcall-alias
  LIBS += -luser32
  RC_FILE = ./main/platform/win32/JavaQxWin32.rc
  RCC_DIR = ./temp/res
}

#/*^*************************************************************************^*/
#/*- JavaQx :: Includes.                                                     -*/
#/*^*************************************************************************^*/

INCLUDEPATH += ./temp/moc/release \
    ./main \
    ./main/core \
    ./main/core/jni \
    ./main/core/bridge \
    ./main/core/adapter \
    ./main/opengl \
    ./main/opengl/jni \
    ./main/opengl/bridge \
    ./main/opengl/adapter \
    ./main/platform \
    ./main/qswing \
    ./main/qswing/jni \
    ./main/qswing/bridge \
    ./main/qswing/adapter \
    ./main/qswing/styles

win32 {
  INCLUDEPATH += ./include/win32/sun-jvm \
      ./include/win32/sun-jvm/win32
}
solaris {
  INCLUDEPATH += ./include/solaris/sun-jvm \
      ./include/solaris/sun-jvm/solaris
}
unix {
  INCLUDEPATH += ./include/linux/sun-jvm \
      ./include/linux/sun-jvm/linux
}

test {
  DEFINES += JAVAQX_TEST
  INCLUDEPATH += ./main/nunit \
      ./main/nunit/jni \
      ./test/core/adapter \
      ./test/core/jni \
      ./test/qswing/adapter
}

#/*^*************************************************************************^*/
#/*- JavaQx :: Include Files.                                                -*/
#/*^*************************************************************************^*/

include(native.pri)

#/*^*************************************************************************^*/
#/*- JavaQx :: Post Link.                                                    -*/
#/*^*************************************************************************^*/

win32 {
  TARGET_DLL = $${TARGET}.dll
  SRC_DLL = .\\$$DESTDIR\\$$TARGET_DLL
  DEST_DLL = ..\\..\\bin\\$$TARGET_DLL

  QMAKE_POST_LINK = COPY $$SRC_DLL $$DEST_DLL
  QMAKE_CLEAN += $$SRC_DLL $$DEST_DLL
}

#/*^****************************************************************************
#  File History:
#
# - 2007-04-17 15:38:21 Slobodan
#   Initial version
#
#****************************************************************************^*/
