/*
 * @(#)TestQSwingAdapter.cpp  0.1.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "TestQSwingAdapter.h"

#ifdef JAVAQX_TEST

/*^**************************************************************************^*/
/*- TestQSwingAdapter :: Test Registration.                                  -*/
/*^**************************************************************************^*/

REGISTER_NATIVE_TEST(Core, TestQSwingAdapter);

/*^**************************************************************************^*/
/*- TestQSwingAdapter :: Public Member Functions.                            -*/
/*^**************************************************************************^*/

/*!
 * \brief Tests string concatenation.
 */
void TestQSwingAdapter::testConcatenate()
{
  QStringAdapter s2 = *m_stringAdapter +
                       QStringAdapter(env(), env()->NewStringUTF("2")) + "";
  TEST_ASSERT_EQUALS("QSwingAdapter2", s2);
}

/*!
 * \brief Tests string appending.
 */
void TestQSwingAdapter::testAppend()
{
  TEST_ASSERT_EQUALS("QSwingAdapter", *m_stringAdapter);
  *m_stringAdapter += QStringAdapter(env(), env()->NewStringUTF("2"));
  TEST_ASSERT_EQUALS("QSwingAdapter2", *m_stringAdapter);
}

/*^**************************************************************************^*/
/*- TestQSwingAdapter :: Overridden Member Functions.                        -*/
/*^**************************************************************************^*/

/*!
 * \inhertiDoc
 */
void TestQSwingAdapter::setUp()
{
  m_stringAdapter = new QStringAdapter(env(),
                                       env()->NewStringUTF("QSwingAdapter"));
}

/*!
 * \inhertiDoc
 */
void TestQSwingAdapter::tearDown()
{
  if (m_stringAdapter) {
    delete m_stringAdapter;
    m_stringAdapter = 0;
  }
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-12-30 13:11:54 Slobodan
   Initial version

*****************************************************************************^*/
