/*
 * @(#)TestJNIObject.cpp  0.2.0 / 2007-02-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "TestJNIObject.h"

#ifdef JAVAQX_TEST

/*^**************************************************************************^*/
/*- TestJNIObject :: Public Constructor.                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief Constructs new TestJNIObject object.
 *
 * \param env the JNIEnv pointer
 * \param obj the java object
 */
TestJNIObject::TestJNIObject(JNIEnv *env, jobject obj)
  : JNIObject(env, obj)
{
  // empty body
}

/*^**************************************************************************^*/
/*- TestJNIObject :: Public Test Member Functions.                           -*/
/*^**************************************************************************^*/

/*!
 * \brief Test throwInternalError method.
 */
void TestJNIObject::testThrowInternalError()
{
  throwInternalError();
}

/*!
 * \brief Test throwOutOfMemoryError method.
 */
void TestJNIObject::testThrowOutOfMemoryError()
{
  throwOutOfMemoryError();
}

/*!
 * \brief Test newString method.
 */
void TestJNIObject::testThrowRuntimeExcpetion()
{
  throwRuntimeExcpetion();
}

/*!
 * \brief Test newString method.
 */
jstring TestJNIObject::testNewString()
{
  QString s = "TestString";
  return newJString((const jchar *)s.constData(), s.length());
}

/*!
 * \brief Test newStringUTF method.
 */
jstring TestJNIObject::testNewStringUTF()
{
  return newJStringUTF("UTFTestString");
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-02-03 21:24:45 Slobodan
   Initial version

*****************************************************************************^*/
