/*
 * @(#)yu_ac_bg_etf_javaqx_core_nativetests_jni_TestJNIObject.cpp
 *                                                            0.2.0 / 2007-01-31
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject.h"

#ifdef JAVAQX_TEST

/*!
 * \brief yu_ac_bg_etf_javaqx_nativetests_core_jni_TestJNIObject native
 *        implementation.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */

#include "JNIObject.h"
#include "TestJNIObject.h"

/*^**************************************************************************^*/
/*- Pacakge-Private Static Native Methods.                                   -*/
/*^**************************************************************************^*/

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetObjectField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getObjectField(jnio.getFieldID("objectField",
                                             "Ljava/lang/Object;"));
}

JNIEXPORT jboolean JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetBooleanField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getByteField(jnio.getFieldID("booleanField", "Z"));
}

JNIEXPORT jbyte JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetByteField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getByteField(jnio.getFieldID("byteField", "B"));
}

JNIEXPORT jchar JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetCharField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getCharField(jnio.getFieldID("charField", "C"));
}

JNIEXPORT jshort JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetShortField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getShortField(jnio.getFieldID("shortField", "S"));
}

JNIEXPORT jint JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetIntField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getIntField(jnio.getFieldID("intField", "I"));
}

JNIEXPORT jfloat JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetFloatField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getFloatField(jnio.getFieldID("floatField", "F"));
}

JNIEXPORT jdouble JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetDoubleField
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getDoubleField(jnio.getFieldID("doubleField", "D"));
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetObjectField
  (JNIEnv *env, jclass, jobject testObject, jobject o)
{
  JNIObject jnio(env, testObject);
  jnio.setObjectField(jnio.getFieldID("objectField",
                      "Ljava/lang/Object;"), o);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetBooleanField
  (JNIEnv *env, jclass, jobject testObject, jboolean b)
{
  JNIObject jnio(env, testObject);
  jnio.setBooleanField(jnio.getFieldID("booleanField", "Z"), b);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetByteField
  (JNIEnv *env, jclass, jobject testObject, jbyte b)
{
  JNIObject jnio(env, testObject);
  jnio.setByteField(jnio.getFieldID("byteField", "B"), b);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetCharField
  (JNIEnv *env, jclass, jobject testObject, jchar c)
{
  JNIObject jnio(env, testObject);
  jnio.setCharField(jnio.getFieldID("charField", "C"), c);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetShortField
  (JNIEnv *env, jclass, jobject testObject, jshort s)
{
  JNIObject jnio(env, testObject);
  jnio.setShortField(jnio.getFieldID("shortField", "S"), s);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetIntField
  (JNIEnv *env, jclass, jobject testObject, jint i)
{
  JNIObject jnio(env, testObject);
  jnio.setIntField(jnio.getFieldID("intField", "I"), i);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetFloatField
  (JNIEnv *env, jclass, jobject testObject, jfloat f)
{
  JNIObject jnio(env, testObject);
  jnio.setFloatField(jnio.getFieldID("floatField", "F"), f);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testSetDoubleField
  (JNIEnv *env, jclass, jobject testObject, jdouble d)
{
  JNIObject jnio(env, testObject);
  jnio.setDoubleField(jnio.getFieldID("doubleField", "D"), d);
}

JNIEXPORT jboolean JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testIsLive
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.isLive();
}

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallObjectMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jobject result;
  jmethodID mid = jnio.getMethodID("getObjectField", "()Ljava/lang/Object;");
  if (jnio.callObjectMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT jboolean JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallBooleanMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jboolean result;
  jmethodID mid = jnio.getMethodID("getBooleanField", "()Z");
  if (jnio.callBooleanMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT jbyte JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallByteMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jbyte result;
  jmethodID mid = jnio.getMethodID("getByteField", "()B");
  if (jnio.callByteMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT jchar JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallCharMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jchar result;
  jmethodID mid = jnio.getMethodID("getCharField", "()C");
  if (jnio.callCharMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT jshort JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallShortMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jshort result;
  jmethodID mid = jnio.getMethodID("getShortField", "()S");
  if (jnio.callShortMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT jint JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallIntMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jint result;
  jmethodID mid = jnio.getMethodID("getIntField", "()I");
  if (jnio.callIntMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT jfloat JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallFloatMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jfloat result;
  jmethodID mid = jnio.getMethodID("getFloatField", "()F");
  if (jnio.callFloatMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT jdouble JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallDoubleMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jdouble result;
  jmethodID mid = jnio.getMethodID("getDoubleField", "()D");
  if (jnio.callDoubleMethod(result, mid)) {
    return result;
  }
  return 0;
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testCallVoidMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  jnio.callVoidMethod(jnio.getMethodID("callVoidMethod", "()V"));
}

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testToJStringMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.toJString();
}

JNIEXPORT jclass JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testGetObjectClassMethod
  (JNIEnv *env, jclass, jobject testObject)
{
  JNIObject jnio(env, testObject);
  return jnio.getObjectClass();
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testThrowInternalError
  (JNIEnv *env, jclass, jobject testObject)
{
  TestJNIObject tjnio(env, testObject);
  tjnio.testThrowInternalError();
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testThrowOutOfMemoryError
  (JNIEnv *env, jclass, jobject testObject)
{
  TestJNIObject tjnio(env, testObject);
  tjnio.testThrowOutOfMemoryError();
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testThrowRuntimeExcpetion
  (JNIEnv *env, jclass, jobject testObject)
{
  TestJNIObject tjnio(env, testObject);
  tjnio.testThrowRuntimeExcpetion();
}

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testNewString
  (JNIEnv *env, jclass, jobject testObject)
{
  TestJNIObject tjnio(env, testObject);
  return tjnio.testNewString();
}

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJNIObject__1testNewStringUTF
  (JNIEnv *env, jclass, jobject testObject)
{
  TestJNIObject tjnio(env, testObject);
  return tjnio.testNewStringUTF();
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-01-31 11:20:26 Slobodan
   Initial version

*****************************************************************************^*/
