/*
 * @(#)TestPlainDocument.cpp  0.1.0 / 2007-12-31
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "TestPlainDocument.h"

#ifdef JAVAQX_TEST

#include "PlainDocumentBridge.h"

/*^**************************************************************************^*/
/*- TestPlainDocument :: Test Registration.                                  -*/
/*^**************************************************************************^*/

REGISTER_NATIVE_TEST(QSwing, TestPlainDocument);

/*^**************************************************************************^*/
/*- TestPlainDocument :: Public Member Functions.                            -*/
/*^**************************************************************************^*/

/*!
 * \brief Tests \c setText method.
 */
void TestPlainDocument::testSetText()
{
  TEST_ASSERT(m_document->isEmpty());
  m_document->setText("text");
  TEST_ASSERT_EQUALS("text", m_document->getText());
}

/*!
 * \brief Tests \c appendText method.
 */
void TestPlainDocument::testAppendText()
{
  TEST_ASSERT(m_document->isEmpty());
  m_document->appendText("text");
  m_document->appendText("text");
  TEST_ASSERT_EQUALS("texttext", m_document->getText());
}

/*^**************************************************************************^*/
/*- TestPlainDocument :: Overridden Member Functions.                        -*/
/*^**************************************************************************^*/

/*!
 * \inhertiDoc
 */
void TestPlainDocument::setUp()
{
  jobject doc = createJObject("yu/ac/bg/etf/javaqx/qswing/text/PlainDocument");
  TEST_ASSERT(doc);
  PlainDocumentBridge *pdb = nativePointer<PlainDocumentBridge *>(doc);
  TEST_ASSERT(pdb);
  m_document= pdb->plainDocument();
  TEST_ASSERT(m_document);
}

/*!
 * \inhertiDoc
 */
void TestPlainDocument::tearDown()
{
  if (m_document) {
    delete m_document;
    m_document = 0;
  }
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-12-31 13:11:54 Slobodan
   Initial version

*****************************************************************************^*/
