/*
 * @(#)AssertionFailedError.java  0.1.0 / 30.01.2007
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the Common Public License Version 1.0.
 * A copy of this license is included in the file LICENSE-CPL_V10.txt.
 */
package junit.framework;

/**
 * Thrown when an assertion failed.
 *
 * @author Erich Gamma
 * @author Kent Beck
 * @version 3.8.1 (original)
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0 (lite)
 */
public class AssertionFailedError extends Error {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new AssertionFailedError object.
   */
  public AssertionFailedError() {
    // empty implementation
  }

  /**
   * Constructs new AssertionFailedError object.
   *
   * @param message the error message
   */
  public AssertionFailedError(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 31.08.2002 Erich Gamma and Kent Beck
   Original 3.8.1 version

 - 30.01.2007 20:06:07 Slobodan
   Initial lite version

*****************************************************************************^*/
