/*
 * @(#)Protectable.java  0.1.0 / 30.01.2007
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the Common Public License Version 1.0.
 * A copy of this license is included in the file LICENSE-CPL_V10.txt.
 */
package junit.framework;

/**
 * A <em>Protectable</em> can be run and can throw a Throwable.
 *
 * @author Erich Gamma
 * @author Kent Beck
 * @version 3.8.1 (original)
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0 (lite)
 */
public interface Protectable {

  /**
   * Runs the the following method protected.
   *
   * @throws Throwable if any exception is thrown
   */
  public void protect() throws Throwable;

}

/*^*****************************************************************************
  File History:

 - 31.08.2002 Erich Gamma and Kent Beck
   Original 3.8.1 version

 - 30.01.2007 20:35:43 Slobodan
   Initial lite version

*****************************************************************************^*/
