/*
 * @(#)Test.java  0.1.0 / 30.01.2007
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the Common Public License Version 1.0.
 * A copy of this license is included in the file LICENSE-CPL_V10.txt.
 */
package junit.framework;

/**
 * A <tt>Test</tt> can be run and collect its results.
 *
 * @author Erich Gamma
 * @author Kent Beck
 * @version 3.8.1 (original)
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0 (lite)
 */
public interface Test {

  /**
   * Counts the number of test cases that will be run by this test.
   *
   * @return the number of test cases that will be run by this test
   */
  public int countTestCases();

  /**
   * Runs a test and collects its result in a TestResult instance.
   *
   * @param result the test result
   */
  public void run(TestResult result);

}

/*^*****************************************************************************
  File History:

 - 31.08.2002 Erich Gamma and Kent Beck
   Original 3.8.1 version

 - 30.01.2007 20:04:12 Slobodan
   Initial lite version

*****************************************************************************^*/
