/*
 * @(#)NativeFileFooter.java  0.2.0 / 2007-02-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.tools.ng;

import java.io.IOException;
import java.io.PrintWriter;

/**
 * Native File Footer.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class NativeFileFooter extends NativeFileText {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new NativeFileFooter object.
   *
   * @param nativeFile the native file
   */
  public NativeFileFooter(AbstractNativeFile nativeFile) {
    super(nativeFile);
  }

  /**
   * Constructs new NativeFileFooter object.
   *
   * @param nativeFile the native file
   * @param content header's content
   */
  public NativeFileFooter(AbstractNativeFile nativeFile, String content) {
    super(nativeFile, content);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void storeContent(PrintWriter pw) throws IOException {
    pw.print("/*^*************************************"); //$NON-NLS-1$
    pw.println("****************************************"); //$NON-NLS-1$
    pw.println("  File History:"); //$NON-NLS-1$
    pw.println();
    pw.print(" - "); //$NON-NLS-1$
    pw.print(Utils.currentDateTime());
    if (Character.isLowerCase(getNativeFile().getName().charAt(0))) {
      pw.println(" JavaQx Native Generator"); //$NON-NLS-1$
    } else {
      pw.println(" Slobodan"); //$NON-NLS-1$
    }
    pw.println("   Initial version"); //$NON-NLS-1$
    pw.println();
    pw.print("****************************************"); //$NON-NLS-1$
    pw.println("*************************************^*/"); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2007-02-28 15:26:41 Slobodan
   Initial version

*****************************************************************************^*/
