/*
 * @(#)NativeFileHeader.java  0.2.0 / 2007-02-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.tools.ng;

import java.io.IOException;
import java.io.PrintWriter;

/**
 * Native File Header.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class NativeFileHeader extends NativeFileText {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new NativeFileHeader object.
   *
   * @param nativeFile the native file
   */
  public NativeFileHeader(AbstractNativeFile nativeFile) {
    super(nativeFile);
  }

  /**
   * Constructs new NativeFileHeader object.
   *
   * @param nativeFile the native file
   * @param content header's content
   */
  public NativeFileHeader(AbstractNativeFile nativeFile, String content) {
    super(nativeFile, content);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void storeContent(PrintWriter pw) throws IOException {
    pw.println("/*"); //$NON-NLS-1$
    pw.print(" * @(#)"); //$NON-NLS-1$
    pw.print(getNativeFile().getName());
    pw.print("  0.2.0 / "); //$NON-NLS-1$
    pw.println(Utils.currentDate());
    pw.println(" *"); //$NON-NLS-1$
    pw.println(NativeGenerator.INSTANCE.getCopyrightNotice());
    pw.println(" */"); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2007-02-28 15:40:09 Slobodan
   Initial version

*****************************************************************************^*/
