/*
 * @(#)JQBridgeHFileStart.java  0.2.0 / 2007-03-06
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.tools.ng.bridge;

import java.io.IOException;
import java.io.PrintWriter;

import com.thoughtworks.qdox.model.JavaClass;

import yu.ac.bg.etf.javaqx.tools.ng.AbstractNativeFile;
import yu.ac.bg.etf.javaqx.tools.ng.NativeFileText;
import yu.ac.bg.etf.javaqx.tools.ng.Utils;

/**
 * JNI Header File Start.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
class JQBridgeHFileStart extends NativeFileText {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final JavaClass javaClass;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQBridgeHFileStart object.
   *
   * @param nativeFile the native file
   * @param javaClass the qdox java class
   */
  public JQBridgeHFileStart(AbstractNativeFile nativeFile,
                            JavaClass javaClass) {
    super(nativeFile);
    this.javaClass = javaClass;
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void storeContent(PrintWriter pw) throws IOException {
    pw.print("#ifndef "); //$NON-NLS-1$
    String guard = Utils.getBridgeName(javaClass).toUpperCase(); //NOFB
    guard = guard + "_H"; //$NON-NLS-1$
    pw.println(guard);
    pw.print("#define "); //$NON-NLS-1$
    pw.println(guard);
    pw.println();
    pw.println("#include \"JavaQxQSwing.h\""); //$NON-NLS-1$
    pw.println();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-03-12 21:28:57 Slobodan
   Initial version

*****************************************************************************^*/
