/*
 * @(#)NativeFileIncludes.java  0.2.0 / 2007-02-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.tools.ng.bridge;

import yu.ac.bg.etf.javaqx.tools.ng.AbstractNativeFile;
import yu.ac.bg.etf.javaqx.tools.ng.NativeFileText;
import yu.ac.bg.etf.javaqx.tools.ng.NativeGenerator;

/**
 * Native File Includes.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
class NativeFileIncludes extends NativeFileText {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new NativeFileIncludes object.
   *
   * @param nativeFile the native file
   */
  public NativeFileIncludes(AbstractNativeFile nativeFile) {
    super(nativeFile, ""); //$NON-NLS-1$
  }

  /**
   * Constructs new NativeFileIncludes object.
   *
   * @param nativeFile the native file
   * @param content header's content
   */
  public NativeFileIncludes(AbstractNativeFile nativeFile, String content) {
    super(nativeFile, content);
  }

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Adds standard header.
   *
   * @param header the header
   */
  public void addStandardHeader(String header) {
    setText(getText() + "#include <" + header + ">" + //$NON-NLS-1$ $NON-NLS-2$
            NativeGenerator.getInstance().getNewLine());
  }

  /**
   * Adds custom header.
   *
   * @param header the header
   */
  public void addLocalHeader(String header) {
    setText(getText() + "#include \"" + header + //$NON-NLS-1$
            "\"" + NativeGenerator.getInstance().getNewLine()); //$NON-NLS-1$
  }

  /**
   * Adds new line.
   */
  public void addNewLine() {
    setText(getText() + NativeGenerator.getInstance().getNewLine());
  }

}

/*^*****************************************************************************
  File History:

 - 2007-02-28 20:29:18 Slobodan
   Initial version

*****************************************************************************^*/
