/*
 * @(#)JniHFileConstant.java  0.2.0 / 2007-03-08
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.tools.ng.jni;

import java.io.IOException;
import java.io.PrintWriter;

import com.thoughtworks.qdox.model.JavaField;

import yu.ac.bg.etf.javaqx.tools.ng.AbstractNativeFile;
import yu.ac.bg.etf.javaqx.tools.ng.NativeFileText;
import yu.ac.bg.etf.javaqx.tools.ng.Utils;

/**
 * JNI File Constant.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JniHFileConstant extends NativeFileText {

/*^**************************************************************************^*/
/*- Private Filed.                                                           -*/
/*^**************************************************************************^*/

  private final JavaField field;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JniHFileConstant object.
   *
   * @param nativeFile AbstractNativeFile
   * @param field the qdox java field
   */
  public JniHFileConstant(AbstractNativeFile nativeFile, JavaField field) {
    super(nativeFile);
    this.field = field;
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void storeContent(PrintWriter pw) throws IOException {
    if (field.getType().isPrimitive()) {
      String name = Utils.getJniConstantName(field);
      pw.print("#undef "); //$NON-NLS-1$
      pw.println(name);
      pw.print("#define "); //$NON-NLS-1$
      pw.print(name);
      pw.print(" "); //$NON-NLS-1$
      pw.println(filterInitializationExpressionBug(
                                  field.getInitializationExpression().trim()));
    }
  }

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private String filterInitializationExpressionBug(String text) {
    return text.substring(text.lastIndexOf(' ') + 1);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-03-08 09:40:22 Slobodan
   Initial version

*****************************************************************************^*/
