/*
 * @(#)JniHFileEnd.java  0.2.0 / 2007-03-06
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.tools.ng.jni;

import java.io.IOException;
import java.io.PrintWriter;

import com.thoughtworks.qdox.model.JavaClass;

import yu.ac.bg.etf.javaqx.tools.ng.AbstractNativeFile;
import yu.ac.bg.etf.javaqx.tools.ng.NativeFileText;
import yu.ac.bg.etf.javaqx.tools.ng.Utils;

/**
 * JNI Header File End.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JniHFileEnd extends NativeFileText {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final JavaClass javaClass;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JniHFileEnd object.
   *
   * @param nativeFile the native file
   * @param javaClass the qdox java class
   */
  public JniHFileEnd(AbstractNativeFile nativeFile, JavaClass javaClass) {
    super(nativeFile);
    this.javaClass = javaClass;
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void storeContent(PrintWriter pw) throws IOException {
    pw.println("#ifdef __cplusplus"); //$NON-NLS-1$
    pw.println("}"); //$NON-NLS-1$
    pw.println("#endif // __cplusplus"); //$NON-NLS-1$
    pw.println();
    pw.print("#endif //"); //$NON-NLS-1$
    pw.print(Utils.getMangledClassName(javaClass).toUpperCase()); //NOFB
    pw.println("_H"); //$NON-NLS-1$
    pw.println();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-03-06 13:03:00 Slobodan
   Initial version

*****************************************************************************^*/
