/*
 * @(#)ScrollPaneDemo.java  0.2.0 / 2007-11-20
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.demo.qswingset;

import yu.ac.bg.etf.javaqx.qswing.ImageIcon;
import yu.ac.bg.etf.javaqx.qswing.JQComponent;
import yu.ac.bg.etf.javaqx.qswing.JQLabel;
import yu.ac.bg.etf.javaqx.qswing.JQScrollPane;

/**
 * Demonstration of the JQScrollPane class.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class ScrollPaneDemo extends DemoModule {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new ScrollPaneDemo object.
   */
  public ScrollPaneDemo() {
    super("ScrollPane Demo", "Demonstration of the JQScrollPane class.");
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected JQComponent buildDemoComponent() {
    String imageName = "resources/images/scrollpane/crayons.png";
    ImageIcon image = new ImageIcon(loadResource(imageName));
    return new JQScrollPane(new JQLabel(image));
  }

/*^**************************************************************************^*/
/*- Main Method.                                                             -*/
/*^**************************************************************************^*/

  /**
   * Starts demo as standalone appliation.
   *
   * @param args the application arguments
   */
  public static void main(String[] args) {
    new ScrollPaneDemo().show();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-11-20 20:56:17 Slobodan
   Initial version

*****************************************************************************^*/
